@extends('layouts.crusher')
@section('content')


        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-6">
                                <h6 class="card-title mb-4 titlcust">View Item Name Master</h6>
                            </div>
                            <div class="col-md-6">
                                <a href="">
                                    <button class="btn btn-outline-primary float-right cust-btn1" type="submit"
                                        onclick="printPageArea('printableArea')">Print Document
                                    </button>
                                </a>
                            </div>
                        </div>
                        <div class="row" id="printableArea">
                            <div class="col-md-3">
                                <label>Item Group :</label>
                                <span>{{$itemName->group->name}}</span>
                            </div>
                            <div class="col-md-3">
                                <label>Item Name :</label>
                                <span>{{$itemName->name}}</span>
                            </div>
                            <div class="col-md-3">
                                <label>Item Unit :</label>
                                <span>{{$itemName->unit->unit}}</span>
                            </div>
                            <div class="col-md-3">
                                <label>Vat % :</label>
                                <span>{{$itemName->vat_percent}}</span>
                            </div>
                            <div class="col-md-3">
                                <label>Reorder QTY :</label>
                                <span>{{$itemName->quantity}}</span>
                            </div>
                            <div class="col-md-3">
                                <label>Purchasing Price Per Unit :</label>
                                <span>{{$itemName->purchase_price_per_unit}}</span>
                            </div>
                            <div class="col-md-3">
                                <label>Selling Price Per Unit :</label>
                                <span>{{$itemName->sell_price_per_unit}}</span>
                            </div>


                        </div>

                    </div>
                </div>


            </div>
        </div>
    </div>

    <script>
        function printPageArea(areaID) {
            var printContent = document.getElementById(areaID).innerHTML;
            var originalContent = document.body.innerHTML;
            document.body.innerHTML = printContent;
            window.print();
            document.body.innerHTML = originalContent;
        }
    </script>
@endsection
