@extends('layouts.crusher')
@section('content')
    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-6">
                            <h6 class="card-title mb-4 titlcust">Discount Ledger Report</h6>
                        </div>
                    </div>
                    <!-- <div class="col-4"> -->
                    <div class="row">
                        <div class="col-md-6">
                            <h6 class="">
                            </h6>
                            <h6 class="">Date: <span>{{ date('d/m/Y', strtotime($from_date)) }}
                            </span> To <span>{{ date('d/m/Y', strtotime($to_date)) }}</span>
                            </h6>
                        </div>
                        <div class="col-md-6">
                            <div class="btn-group float-right" role="group" aria-label="Basic example">
                                <a href="" type="button" class="btn btn-outline-primary"><i
                                        class="fas fa-mail-bulk"></i> Email (PDF Formate)</a>
                                <a onclick="printPageArea('printableArea')" class="btn btn-outline-primary"> Print & PDF
                                    Formate</a>

                            </div>
                            <!-- <a href="client-add-expenses.html">
                                        <button class="btn btn-cust2 float-right" type="submit">
                                            <i class="fas fa-mail-bulk"></i>Email (PDF Formate)
                                            </button>
                                    </a>
                                    <a href=""><button type="button" class="btn btn-cust2 float-right waves-effect waves-light">
                                         <i class="fas fa-print">Print </i> & <i class="fas fa-file-pdf">PDF Formate</i>
                                    </button></a> -->
                        </div>
                    </div>
                    <br>
                    <!-- <div class="col-4"> -->
                    <div class="row">

                        <div class="col-md-12">
                            <div id="printableArea" class="table-responsive mb-0" data-pattern="priority-columns">
                                <table class="table table-bordered nowrap"
                                    style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                    <thead>
                                        <tr class="td-drak-light">
                                            <th>Date</th>
                                            <th>Voucher Description</th>
                                            <th>Debit</th>
                                            <th>Credit</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php
                                            $debitTotal = 0;
                                            $creditTotal = 0;
                                            $PurchaesInvoiceTotal = 0;
                                            $saleInvoiceTotal = 0;
                                            $journalTotalForDebit = 0;
                                            $journalTotalForCredit = 0;
                                            $ObdebitTotal = 0;
                                            $ObcreditTotal = 0;
                                        ?>
                                       
                                    @if ($debitOB || $creditOB)
                                        <tr>
                                            <td>{{ $createExpenseDate }}</td>

                                            <td>Create Opening balance #</td>
                                            <td>
                                                @if ($debitOB)
                                                    {{ $debitOB }}
                                                @endif
                                            </td>
                                            <td>
                                                @if ($creditOB)
                                                    {{ $creditOB}}
                                                @endif
                                            </td>
                                        </tr>
                                    @endif
                                    @foreach ($allData->sortBy('date') as $data)
                                    @if (is_object($data))
                                    <tr>
                                        <td>
                                            @if ($data instanceof \App\AdminSalesInvoice)
                                                {{ $data->date }}
                                            @elseif ($data instanceof \App\AdminJournalVoucher)
                                                {{ $data->date }}
                                            @elseif ($data instanceof \App\AdminPurchaesInvoice)
                                                {{ $data->date }}
                                            @endif
                                        </td>
                                        <td>
                                            @if ($data instanceof \App\AdminSalesInvoice)
                                                <span><strong><a href="{{ route('software.admin_sales_invoice.show', ['admin_sales_invoice' => $data->id]) }}">Sales Invoice#
                                                    {{ $data->invoice_no }}</a></strong></span>
                                            @elseif ($data instanceof \App\AdminJournalVoucher)
                                                <span><strong><a href="{{ route('software.journal_vouchers.show', ['journal_voucher' => $data->id]) }}">Journal Voucher#
                                                    {{ $data->invoice_no }}</a></strong></span>
                                            @elseif ($data instanceof \App\AdminPurchaesInvoice)
                                                <span><strong><a href="{{ route('software.purchase_invoices.show', ['purchase_invoice' => $data->id]) }}">Purchase Invoice#
                                                    {{ $data->invoice_no }}</a></strong></span>
                                            @endif
                                        </td>
                                        <td>
                                            @if ($data instanceof \App\AdminSalesInvoice)
                                                {{ number_format($data->discount, session('branch')->currency_decimal) }}
                                                @php
                                                    $saleInvoiceTotal += $data['discount'];
                                                @endphp
                                            @elseif ($data instanceof \App\AdminJournalVoucher && $data->type === 'debit')
                                                {{ number_format($data->amount, session('branch')->currency_decimal) }}
                                                @php
                                                   $journalTotalForDebit += $data['amount'];
                                                @endphp
                                            @endif
                                        </td>

                                        <td>
                                            @if ($data instanceof \App\AdminPurchaesInvoice)
                                                {{ number_format($data->discount_amount, session('branch')->currency_decimal) }}
                                                @php
                                                    $PurchaesInvoiceTotal += $data['discount_amount'];
                                                @endphp
                                            @elseif ($data instanceof \App\AdminJournalVoucher && $data->type === 'credit')
                                                {{ number_format($data->amount, session('branch')->currency_decimal) }}
                                                @php
                                                   $journalTotalForCredit += $data['amount'];
                                                @endphp
                                            @endif
                                        </td>
                                    </tr>
                                    @endif
                                    @endforeach

                                        <?php

                                        $debitTotal = $saleInvoiceTotal + $journalTotalForDebit;

                                        $creditTotal = $PurchaesInvoiceTotal + $journalTotalForCredit;

                                        ?>
                                       <tr>
                                            <td></td>
                                            <td>Create Opening Balance</td>
                                            <td><strong>{{ number_format($debitOB + $opBalanceForDebitSide, session('branch')->currency_decimal) }}</strong></td>
                                            <td><strong>{{ number_format($creditOB + $opBalanceForCreditSide, session('branch')->currency_decimal) }}</strong></td>
                                        </tr>
                                        <tr class="td-drak-bg">
                                            <td></td>
                                            <td><strong>Current Balance</strong></td>
                                            <td><strong>{{ number_format($debitTotal, session('branch')->currency_decimal) }}</strong></td>
                                            <td><strong>{{ number_format($creditTotal, session('branch')->currency_decimal) }}</strong></td>
                                        </tr>
                                        <?php
                                            $DebitCB = $debitTotal + $debitOB + $DebitopeningBalance;

                                            $CreditCB = $creditTotal + $creditOB + $creditOpeningBalance;

                                            $ClosingBalance = $DebitCB - $CreditCB;
                                        ?>
                                        <tr>
                                            <td></td>
                                            <td>Closing Balance</td>
                                            <td>{{ $ClosingBalance >= 0 ? number_format($ClosingBalance, session('branch')->currency_decimal) : '' }} </td>
                                            <td>{{ $ClosingBalance < 0 ? number_format(abs($ClosingBalance), session('branch')->currency_decimal) : '' }}</td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>

                    </div>


                </div>
            </div>
        </div>
    </div>
    </div>
    <!-- end row -->
    <script>
        function printPageArea(areaID) {
            var printContent = document.getElementById(areaID).innerHTML;
            var originalContent = document.body.innerHTML;
            document.body.innerHTML = printContent;
            window.print();
            document.body.innerHTML = originalContent;
        }
    </script>
@endsection
