@extends('layouts.crusher')
@section('content')

<style>
    .top {
        margin-top: 22px;
    }

    .vcenter {
        margin-top: 30px;
    }

    .move_l {
        margin-right: 10px;

    }

    .display-none {
        display: none;
    }

    .display-min {
        width: 280px;
    }
</style>


    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-6">
                            <h6 class="card-title mb-4 titlcust">Statement of Accounts

                            </h6>
                        </div>
                    </div>
                    <!-- <div class="col-4"> -->
                    <div class="row">
                        <div class="col-md-6">
                            <h6 class="">{{ $ClassOfAccount->name }}</h6>
                            <h6 class="">Date : <span>{{\Carbon\Carbon::parse($from_date)->format('d-m-Y')}}</span> To <span>{{\Carbon\Carbon::parse($to_date)->format('d-m-Y')}}</span></h6>
                        </div>
                        <div class="col-md-6">
                            <div class="btn-group float-right" role="group" aria-label="Basic example">
                                <a href="#" target="_blank" type="button" class="btn btn-outline-primary"><i
                                        class="fas fa-mail-bulk"></i> Email (PDF Formate)</a>
                                <a onclick="printPageArea('printableArea')" class="btn btn-outline-primary"> Print & PDF
                                    Formate</a>
                            </div>
                        </div>
                    </div>
                    <br>
                    <!-- <div class="col-4"> -->
                        <div id="printableArea" class="table-responsive mb-0" data-pattern="priority-columns">
                            <table class="table table-bordered dt-responsive nowrap"
                            style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                            <thead>
                                <tr>
                                    <th>Ledger Name</th>
                                    {{-- <th>Type</th> --}}
                                    {{-- <th>OB</th> --}}
                                    <th>Debit</th>
                                    <th>Credit</th>
                                </tr>
                            </thead>

                            <tbody>

                                    <?php
                                    $ObtotalDebit = 0;
                                    $ObtotalCredit = 0;
                                    $cbtotalDebit = 0;
                                    $cbtotalCredit = 0;
                                    $DebitClosingBalance = 0;
                                    $CreditClosingBalance = 0;
                                    $debitTotal = 0 ;
                                    $creditTotal = 0;
                                    ?>
                                    @foreach ($allAccounts as $account)
                                        <?php
                                        $currentTotalDebit = 0;
                                        $currentTotalCredit = 0;
                                        ?>
                                                @if(isset($totalDebit[$loop->index]['DebitBalance']))
                                                    <?php $currentTotalDebit += $totalDebit[$loop->index]['DebitBalance']; ?>
                                                @endif
                                                @if(isset($totalCredit[$loop->index]['creditBalance']))
                                                    <?php $currentTotalCredit += $totalCredit[$loop->index]['creditBalance']; ?>
                                                @endif
                                                @if(isset($obtotalDebit[$loop->index]['DebitBalance']))
                                                    <?php $ObtotalDebit += $obtotalDebit[$loop->index]['DebitBalance']; ?>
                                                @endif
                                                @if(isset($obtotalCredit[$loop->index]['creditBalance']))
                                                    <?php $ObtotalCredit += $obtotalCredit[$loop->index]['creditBalance']; ?>
                                                @endif
                                        <?php
                                            $DebitCB = $currentTotalDebit + $obtotalDebit[$loop->index]['DebitBalance'];
                                            $CreditCB = $currentTotalCredit + $obtotalCredit[$loop->index]['creditBalance'];
                                            $closingBalance = $DebitCB - $CreditCB;
                                        ?>
                                        @if ((!in_array($account->name_of_organisation ?? $account->account_name, ['Cash', 'VAT','Discount'])))
                                            <tr>
                                                <td>{{ $account->name_of_organisation ?? $account->account_name }}</td>
                                                <td>
                                                    @if($closingBalance >= 0)
                                                        @if ($closingBalance)
                                                            {{ number_format($closingBalance, session('branch')->currency_decimal) }}
                                                        @endif
                                                        <?php $cbtotalDebit += $closingBalance; ?>
                                                    @endif
                                                </td>
                                                <td>
                                                    @if($closingBalance < 0)
                                                    @if ($closingBalance)
                                                        {{ number_format(abs($closingBalance), session('branch')->currency_decimal) }}
                                                    @endif
                                                        <?php $cbtotalCredit += $closingBalance; ?>
                                                    @endif
                                                </td>
                                            </tr>
                                        @endif
                                        @if ($account->name_of_organisation ?? $account->account_name == 'Cash')
                                            <tr>
                                                <td>Cash</td>
                                                <td>{{ number_format($debitCashReportCB, session('branch')->currency_decimal) }} </td>
                                                <td>{{ number_format($creditCashReportCB, session('branch')->currency_decimal)}}</td>
                                            </tr>

                                        @endif
                                        @if ($account->name_of_organisation ?? $account->account_name == 'VAT')
                                            <tr>
                                                <td>Vat</td>
                                                <td>{{ number_format($debitVatReportCB, session('branch')->currency_decimal) }} </td>
                                                <td>{{ number_format($creditVatReportCB, session('branch')->currency_decimal)}}</td>
                                            </tr>

                                        @endif
                                        @if ($account->name_of_organisation ?? $account->account_name == 'Discount')
                                            <tr>
                                                <td>Discount</td>
                                                <td>
                                                    @if ($debitDiscountReportCB)
                                                        {{ number_format($debitDiscountReportCB, session('branch')->currency_decimal) }}
                                                    @endif
                                                </td>
                                                <td>
                                                    @if ($creditDiscountReportCB)
                                                        {{ number_format($creditDiscountReportCB, session('branch')->currency_decimal)}}
                                                    @endif
                                                </td>
                                            </tr>
                                        @endif
                                    @endforeach
                                    <?php
                                    $debitTotal = abs($cbtotalDebit) + $debitCashReportCB + $debitVatReportCB + $debitDiscountReportCB;
                                    $creditTotal = abs($cbtotalCredit) + $creditCashReportCB  + $creditVatReportCB + $creditDiscountReportCB;

                                    ?>

                                    <tr>
                                        <td><strong>Total</strong></td>
                                        <td>
                                            <strong>@if ($debitTotal)
                                                        {{ number_format(abs($debitTotal), session('branch')->currency_decimal) }}
                                                    @endif
                                            </strong>
                                        </td>
                                        <td>
                                            <strong>
                                                @if ($creditTotal)
                                                    {{ number_format(abs($creditTotal), session('branch')->currency_decimal) }}
                                                @endif
                                            </strong>
                                        </td>
                                    </tr>

                            </tbody>
                        </table>
                        </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- end row -->
<script>
    $(document).ready(function() {
        $('.input-group.date').datepicker({
            startView: 1,
            todayBtn: "linked",
            keyboardNavigation: false,
            forceParse: false,
            autoclose: true,
            format: "dd/mm/yyyy"
        }).datepicker('setDate',new Date());
    });
            function showLedgerAccount(){
                var select_status=$('#ledger_account_class_id').val();

                if(select_status=='account'){
                    $('#account_class').show();
                    $('#select').hide();
                }
                else{
                    $('#account_class').hide();
                    $('#select').show();


                }
            }
    $(document).ready(function () {
    $("#customer_info_btn").click(function () {
    $("#customer_info").toggle();
    });
});
</script>
<script>
    function printPageArea(areaID) {
        var printContent = document.getElementById(areaID).innerHTML;
        var originalContent = document.body.innerHTML;
        document.body.innerHTML = printContent;
        window.print();
        document.body.innerHTML = originalContent;
    }
</script>



@endsection
