@extends('layouts.crusher')
@section('content')

    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-6">
                            <h6 class="card-title mb-4 titlcust">Stock Report
                            </h6>
                        </div>

                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <h6 class="">Item Name: <span>{{ $item->name }}</span></h6>
                            <h6 class="">Date: <span>{{ date('d/m/Y', strtotime($from_date)) }}
                            </span> To <span>{{ date('d/m/Y', strtotime($to_date)) }}</span>
                            </h6>
                        </div>
                        <div class="col-md-6">
                            <div class="btn-group float-right" role="group" aria-label="Basic example">
                                <a href="" type="button" class="btn btn-outline-primary"><i
                                        class="fas fa-mail-bulk"></i> Email (PDF Formate)</a>
                                <a onclick="printPageArea('printableArea')" class="btn btn-outline-primary"> Print & PDF
                                    Formate</a>

                            </div>
                        </div>
                    </div>
                    <br>
                    <!-- <div class="col-4"> -->
                    <div id="printableArea" class="table-responsive mb-0" data-pattern="priority-columns">
                        <table  class="table table-hover table-bordered dt-responsive nowrap"
                            style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                            <thead>
                                <tr>
                                    <th class="text-center">Date</th>
                                    <th class="text-center">Account Name</th>
                                    <th class="text-center">Voucher Description</th>
                                    <th class="text-center">Inward</th>
                                    <th class="text-center">Outward</th>
                                </tr>
                                <tr>
                                    <th></th>
                                    <th></th>
                                    <th></th>
                                    <th>QTY</th>
                                    {{-- <th>Rate</th> --}}
                                    {{-- <th>Net Total</th> --}}
                                    <th>QTY</th>
                                    {{-- <th>Rate</th> --}}
                                    {{-- <th>Net Total</th> --}}
                                    {{-- <th>Profit</th> --}}
                                </tr>
                            </thead>

                            <tbody>
                                @php
                                    $InventryTotalQuantity = 0;
                                    $InventryRateUnit = 0;
                                    $InventryNetAmount = 0;

                                    $PurchaseTotalQuantity = 0;
                                    $PurchaseRateUnit = 0;
                                    $PurchaseNetAmount = 0;

                                    $obInventoryTotalQuantity = 0;
                                    $obInventoryRateUnit = 0;
                                    $obInventoryNetAmount = 0;

                                    $SaleTotalQuantity = 0;
                                    $SaleRateUnit = 0;
                                    $SaleNetAmount = 0;
                                    $SaleProfits = 0;

                                    $CreditNoteTotalQuantity = 0;
                                    $CreditNoteRateUnit = 0;
                                    $CreditNoteNetAmount = 0;
                                    $CreditNoteProfits = 0;

                                    $DebitNoteTotalQuantity = 0;
                                    $DebitNoteRateUnit = 0;
                                    $DebitNoteNetAmount = 0;
                                    $DebitNoteProfits = 0;
                                @endphp

                                @foreach ($allData->sortBy('date') as $data)
                                    @if (is_object($data))
                                    <tr>
                                        <td>
                                            @if ($data instanceof \App\OpeningBalance)
                                                {{ $data['date'] }}
                                            @elseif ($data instanceof \App\AdminPurchaesInvoice)
                                                {{ $data['date'] }}
                                            @elseif ($data instanceof \App\AdminSalesInvoice)
                                                {{ $data['date'] }}
                                            @elseif ($data instanceof \App\CreditNote)
                                                {{ $data['date'] }}
                                            @elseif ($data instanceof \App\DebitNote)
                                                {{ $data['date'] }}
                                            @endif
                                        </td>
                                        <td>
                                            @if ($data instanceof \App\OpeningBalance)
                                                {{
                                                    $data['customer']['name_of_organisation'] ??
                                                    $data['supplier']['name_of_organisation'] ??
                                                    $data['Expense']['account_name'] ??
                                                    $data['AdminOtherAccount']['account_name'] ??
                                                    // $data['StaffAndSalesman']['first_name'] . ' ' . $data['StaffAndSalesman']['last_name'] ??
                                                    ''
                                                }}
                                            @elseif ($data instanceof \App\AdminPurchaesInvoice)
                                                {{
                                                    $data['customer']['name_of_organisation'] ??
                                                    $data['supplier']['name_of_organisation'] ??
                                                    $data['Expense']['account_name'] ??
                                                    $data['AdminOtherAccount']['account_name'] ??
                                                    // $data['StaffAndSalesman']['first_name'] . ' ' . $data['StaffAndSalesman']['last_name'] ??
                                                    ''
                                                }}
                                            @elseif ($data instanceof \App\AdminSalesInvoice)
                                                {{
                                                    $data['customer']['name_of_organisation'] ??
                                                    $data['supplier']['name_of_organisation'] ??
                                                    $data['Expense']['account_name'] ??
                                                    $data['AdminOtherAccount']['account_name'] ??
                                                    // $data['StaffAndSalesman']['first_name'] . ' ' . $data['StaffAndSalesman']['last_name'] ??
                                                    ''
                                                }}
                                            @elseif ($data instanceof \App\CreditNote)
                                                {{
                                                    $data['customer']['name_of_organisation'] ??
                                                    $data['supplier']['name_of_organisation'] ??
                                                    $data['Expense']['account_name'] ??
                                                    $data['AdminOtherAccount']['account_name'] ??
                                                    // $data['StaffAndSalesman']['first_name'] . ' ' . $data['StaffAndSalesman']['last_name'] ??
                                                    ''
                                                }}
                                            @elseif ($data instanceof \App\DebitNote)
                                                {{
                                                    $data['customer']['name_of_organisation'] ??
                                                    $data['supplier']['name_of_organisation'] ??
                                                    $data['Expense']['account_name'] ??
                                                    $data['AdminOtherAccount']['account_name'] ??
                                                    // $data['StaffAndSalesman']['first_name'] . ' ' . $data['StaffAndSalesman']['last_name'] ??
                                                    ''
                                                }}
                                            @endif
                                        </td>
                                        <td>
                                            @if ($data instanceof \App\OpeningBalance)
                                                <span>{{'Opening Inventory'}} # {{ $data['invoice_no'] }}</span>
                                            @elseif ($data instanceof \App\AdminPurchaesInvoice)
                                                <span><strong><a href="{{ route('software.purchase_invoices.show', ['purchase_invoice' => $data['id']]) }}">Purchase#
                                                    {{ $data['invoice_no'] }}</a></strong></span>
                                            @elseif ($data instanceof \App\AdminSalesInvoice)
                                                <span><strong><a href="{{ route('software.admin_sales_invoice.show', ['admin_sales_invoice' => $data['id']]) }}">Sales#
                                                    {{ $data['invoice_no'] }}</a></strong></span>
                                            @elseif ($data instanceof \App\CreditNote)
                                                <span><strong><a href="{{ route('software.credit_notes.show', ['credit_note' => $data['id']]) }}">Credit Note#
                                                    {{ $data['invoice_no'] }}</a></strong></span>
                                            @elseif ($data instanceof \App\DebitNote)
                                                <span><strong><a href="{{ route('software.debit_notes.show', ['debit_note' => $data['id']]) }}">Debit Note#
                                                    {{ $data['invoice_no'] }}</a></strong></span>
                                            @endif
                                        </td>
                                        <td>
                                            @if ($data instanceof \App\OpeningBalance)
                                                    {{ $data['quantity'] }}
                                                @php
                                                    $InventryTotalQuantity += $data['quantity'];
                                                @endphp
                                            @elseif ($data instanceof \App\AdminPurchaesInvoice)
                                                    {{ $data['quantity'] }}
                                                @php
                                                    $PurchaseTotalQuantity += $data['quantity'];
                                                @endphp
                                             @elseif ($data instanceof \App\DebitNote)
                                                    {{ -$data['quantity'] }}
                                                @php
                                                    $DebitNoteTotalQuantity += $data['quantity'];
                                                @endphp
                                            @endif
                                        </td>
                                        {{-- <td>
                                            @if ($data instanceof \App\OpeningBalance)
                                                {{ number_format($data['rate_unit'] + $data['c_f'], session('branch')->currency_decimal) }}
                                                @php
                                                    $InventryRateUnit += $data['rate_unit'];
                                                @endphp
                                            @elseif ($data instanceof \App\AdminPurchaesInvoice)
                                                {{ number_format($data['rate_unit'] + $data['c_f'], session('branch')->currency_decimal) }}
                                                @php
                                                    $PurchaseRateUnit += $data['rate_unit'];
                                                @endphp
                                            @elseif ($data instanceof \App\DebitNote)
                                                {{ number_format(-$data['rate_unit'], session('branch')->currency_decimal) }}
                                                @php
                                                    $DebitNoteRateUnit += $data['rate_unit'];
                                                @endphp
                                            @endif
                                        </td> --}}
                                        {{-- <td>
                                            @if ($data instanceof \App\OpeningBalance)
                                                {{ number_format($data['quantity'] * ($data['rate_unit'] + $data['c_f']), session('branch')->currency_decimal) }}
                                                @php
                                                    $InventryNetAmount += $data['quantity'] * ($data['rate_unit'] + $data['c_f']);
                                                @endphp
                                            @elseif ($data instanceof \App\AdminPurchaesInvoice)
                                                {{ number_format($data['quantity'] * ($data['rate_unit'] + $data['c_f']), session('branch')->currency_decimal) }}
                                                @php
                                                    $PurchaseNetAmount += $data['quantity'] * ($data['rate_unit'] + $data['c_f']);
                                                @endphp
                                            @elseif ($data instanceof \App\DebitNote)
                                                {{ number_format(-$data['quantity'] * $data['rate_unit'], session('branch')->currency_decimal) }}
                                                @php
                                                    $DebitNoteNetAmount += $data['quantity'] * $data['rate_unit'];
                                                @endphp
                                            @endif
                                        </td> --}}
                                        <td>
                                            @if ($data instanceof \App\AdminSalesInvoice)
                                                    {{ $data['quantity'] }}
                                                @php
                                                    $SaleTotalQuantity += $data['quantity'];
                                                @endphp
                                             @elseif ($data instanceof \App\CreditNote)
                                                    {{ -$data['quantity'] }}
                                                @php
                                                    $CreditNoteTotalQuantity += $data['quantity'];
                                                @endphp
                                            @endif
                                        </td>
                                        {{-- <td>
                                            @if ($data instanceof \App\AdminSalesInvoice)
                                                {{ number_format($data['rate_unit'], session('branch')->currency_decimal) }}
                                                @php
                                                    $SaleRateUnit += $data['rate_unit'];
                                                @endphp
                                            @elseif ($data instanceof \App\CreditNote)
                                                {{ number_format(-$data['rate_unit'], session('branch')->currency_decimal) }}
                                                @php
                                                    $CreditNoteRateUnit += $data['rate_unit'];
                                                @endphp
                                            @endif
                                        </td> --}}
                                        {{-- <td>
                                            @if ($data instanceof \App\AdminSalesInvoice)
                                                {{ number_format($data['quantity'] * $data['rate_unit'], session('branch')->currency_decimal) }}
                                                @php
                                                    $SaleNetAmount += $data['quantity'] * $data['rate_unit'];
                                                @endphp
                                            @elseif ($data instanceof \App\CreditNote)
                                                {{ number_format(-$data['quantity'] * $data['rate_unit'], session('branch')->currency_decimal) }}
                                                @php
                                                    $CreditNoteNetAmount += $data['quantity'] * $data['rate_unit'];
                                                @endphp
                                            @endif
                                        </td> --}}
                                        {{-- <td>
                                            @if ($data instanceof \App\AdminSalesInvoice)

                                            @if (isset($data['po_no']))
                                                {{ $data['po_no'] }}
                                            @elseif (array_key_exists($data['id'], $profits))
                                                {{ number_format($profits[$data['id']], session('branch')->currency_decimal) }}
                                            @else

                                            @endif

                                            @elseif ($data instanceof \App\CreditNote)

                                            @if (isset($data['po_no']))
                                                {{ $data['po_no'] }}
                                            @elseif (array_key_exists($data['id'], $profits))
                                                {{ number_format(-$profits[$data['id']], session('branch')->currency_decimal) }}
                                            @else

                                            @endif

                                            @endif

                                        </td> --}}
                                    </tr>
                                    @endif
                                    @endforeach




                            </tbody>

                        </table>
                    </div>
                    @php
                        $saleTotalQty = $SaleTotalQuantity - $CreditNoteTotalQuantity;

                        $purchaseTotalQty = $PurchaseTotalQuantity + $obInventoryTotalQuantity - $DebitNoteTotalQuantity + $totalObRemainingPurchaseQty;

                        $closingQty = $purchaseTotalQty - $saleTotalQty;

                        $purchaseTotalAmount = $PurchaseNetAmount + $obInventoryNetAmount - $DebitNoteNetAmount + $totalObRemainingPurchaseRate;

                        $saleTotalAmount = $SaleNetAmount - $CreditNoteNetAmount;

                        $closingAmount = $purchaseTotalAmount - $totalObRemainingPurchaseRate;

                    @endphp

                    <br>
                    <div class="row">
                        <div class="col-md-4">
                        </div>
                        <div class="col-md-4">
                        </div>
                        <div class="col-md-4">
                            <div class="row">
                                <div class="col-md-6">

                                </div>
                                <div class="col-md-6 d-flex flex-column justify-content-end">
                                    {{-- <td>{{$PurchaseTotalQuantity + $obInventoryTotalQuantity - $DebitNoteTotalQuantity + $totalObRemainingPurchaseQty}}</td> --}}
                                    {{-- <td>{{ number_format($PurchaseNetAmount + $obInventoryNetAmount - $DebitNoteNetAmount + $totalObRemainingPurchaseRate, session('branch')->currency_decimal) }}</td> --}}

                                    <p>Opening Quantity : <span>{{$totalObRemainingPurchaseQty}} Pcs</span></p>
                                    {{-- <p>Current Quantity : <span>{{($PurchaseTotalQuantity - $DebitNoteTotalQuantity) + $totalObRemainingPurchaseQty}} Pcs</span></p> --}}
                                    <p>Closing Quantity : <span>{{ $totalClosingQuantity }} Pcs</span></p>
                                </div>
                                {{-- <div class="col-md-6">
                                    <p>Opening Total : <span>{{ number_format($totalObRemainingPurchaseRate, session('branch')->currency_decimal) }}</span></p>
                                    <p>Current Total : <span>{{ number_format(($PurchaseNetAmount - $DebitNoteNetAmount) + $totalObRemainingPurchaseRate, session('branch')->currency_decimal) }}</span></p>
                                    <p>Closing Total : <span>{{ number_format(abs($totalClosingTotal), session('branch')->currency_decimal) }}</span></p>

                                </div> --}}
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- end row -->
<script>
    function printPageArea(areaID) {
        var printContent = document.getElementById(areaID).innerHTML;
        var originalContent = document.body.innerHTML;
        document.body.innerHTML = printContent;
        window.print();
        document.body.innerHTML = originalContent;
    }
</script>

@endsection
