@extends('layouts.crusher')
@section('content')


        {{-- <div class="row">
            <div class="col-md-12">
                <div class="row mt-4 mb-1">
                    <div class="col-md-6">
                        <h6 class="card-title mb-4 titlcust">View Opening Balance For Inventory</h6>
                    </div>
                    <div class="col-md-6">
                        <a href="">
                            <button class="btn btn-outline-primary float-right cust-btn1"
                                onclick="printPageArea('printableArea')" type="submit">Print Document
                            </button>
                        </a>
                    </div>
                </div>
                <div class="card" id="printableArea">
                    <div class="card-body">

                        <h6 class="card-title mb-1 text-center font-size-20">Opening Balance For Inventory</h6>
                        <br>


                        @if (!empty(($companyLogo = auth()->user()->company_logo)))
                        <div class="col-md-12 d-flex align-items-center justify-content-center">
                            <img src="{{ asset('storage/app/public/' . $companyLogo) }}" class="img-fluid"
                                alt="logo" width="270px">
                            </div>
                        @else

                        @endif

                        <div class="row">
                            <div class="col-md-9 pt-2" style="border-top: solid;border-bottom: solid;border-left: solid;border-color: black;padding: 0;">
                                <p class="text-dark font-weight-bold" style="padding: 5px;margin:0"><strong>Company Name: </strong> {{ $company->name }}</p>
                                <p class="text-dark font-weight-bold" style="padding: 5px;margin:0"><strong>Branch Name: </strong> {{ session()->get('branch')->name }}</p>
                                <p class="text-dark font-weight-bold" style="padding: 5px;margin:0"><strong>Branch Address</strong> {{ session()->get('branch')->address }}</p>
                                <p class="text-dark font-weight-bold" style="padding: 5px;margin:0"><strong>Company Country</strong> {{ $company->country }}</p>
                                <p class="text-dark font-weight-bold" style="padding: 5px;margin:0"><strong>Company CR Number</strong> {{ $company->cr_number }}</p>
                                <p class="text-dark font-weight-bold" style="padding: 5px;margin:0"><strong>Company VAT Number</strong> {{ $company->vat_number }}</p>
                            </div>
                            <div class="col-md-3 pt-2" style="border-top: solid;border-right: solid;border-bottom: solid;border-left: solid;border-color: black;padding: 0;">
                                <p class="text-dark font-weight-bold" style="border-bottom: solid;border-color: black;padding: 5px;margin:0;"><strong>Date : </strong> {{ date('d/m/Y', strtotime($openingBalance[0]->date)) }}</p>
                                <p class="text-dark font-weight-bold" style="border-bottom: solid;border-color: black;padding: 5px;margin:0;"><strong>Opening Balance # : </strong> {{ $openingBalance[0]->invoice_no }}</p>
                            </div>

                        </div>
                        <div class="row">
                            <div class="table-responsive mb-0 pb-0" >
                                <table class="table table-striped table-bordered dt-responsive nowrap mb-0" style="border-bottom: solid;border-left: solid;border-right: solid;border-left: solid;border-color: black;padding: 0;">
                                    <thead >
                                        <tr style="background-color: lightgray;color:black;border-color: black">
                                            <th style="border: none">Item Name</th>
                                            <th style="border: none">Item Description</th>
                                            <th style="border: none">warehouse</th>
                                            <th style="border: none">quantity</th>
                                            <th style="border: none">Item Unit</th>
                                            <th style="border: none">Rate Unit</th>
                                            <th style="border: none">Amount</th>
                                        </tr>
                                    </thead>
                                    <tbody id="table-body" >
                                        @php
                                            $totalQuantity = 0;
                                            $totalRate = 0;
                                        @endphp
                                        @foreach ($openingBalance as $key=>$op)
                                       <tr>
                                            <td class="border border-dark">{{ $op->item->name ?? '' }}</td>
                                            <td class="border border-dark">{{ $op->item_description }}</td>
                                            <td class="border border-dark">{{ $op->warehouse->name }}</td>
                                            <td class="border border-dark">{{ $op->quantity }}</td>
                                            <td class="border border-dark">{{ $op->unit->unit }}</td>
                                            <td class="border border-dark">{{ number_format($op->rate_unit, session('branch')->currency_decimal) }}</td>
                                            <td class="border border-dark">{{ number_format($op->amount, session('branch')->currency_decimal) }}</td>

                                       </tr>
                                       @php

                                            $totalQuantity += $op->quantity;
                                            $totalRate += $op->amount ;
                                        @endphp
                                       @endforeach

                                    </tbody>
                                </table>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-8 pt-2" style="border-bottom: solid;border-left: solid;border-color: black;padding: 0;">
                                <p class="text-dark font-weight-bold" style="padding: 5px;margin:0"><strong>Narration: </strong>{{$openingBalance[0]->narration}}</p>
                            </div>
                            <div class="col-md-2" style="border-left: solid;border-color: black;padding: 0;">
                                <p class="text-dark font-weight-bold" style="border-bottom: solid;border-right: solid;border-color: black;padding: 5px;margin:0;"><strong>Quantity Total </strong></p>
                                <p class="text-dark font-weight-bold" style="border-bottom: solid;border-right: solid;border-color: black;padding: 5px;margin:0;"><strong>Net Total </strong></p>
                            </div>
                            <div class="col-md-2" style="border-right: solid;border-color: black;padding: 0;">
                                <p class="text-dark font-weight-bold" style="border-bottom: solid;border-color: black;padding: 5px;margin:0;">{{ $totalQuantity }}</p>
                                <p class="text-dark font-weight-bold" style="border-bottom: solid;border-color: black;padding: 5px;margin:0;">{{ number_format($totalRate, session('branch')->currency_decimal) }}</p>
                            </div>

                        </div>
                        <div class="row">
                            <div class="col-md-6 pt-2 d-flex flex-column justify-content-end" style="border-bottom: solid; border-left: solid; border-color: black; padding: 0; height: 150px;">
                            </div>


                            <div class="col-md-6 pt-2 d-flex flex-column justify-content-end" style="border-bottom: solid;border-right: solid;border-color: black;padding: 0;height: 150px;">
                                <p class="text-dark font-weight-bold mt-5 text-right" style="padding: 5px;margin:0"><strong>{{ $company->name }}</strong></p>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12 pt-2 d-flex flex-column justify-content-center alien-item-center" >
                                <p class="text-dark font-weight-bold text-center" style="padding: 5px; margin: 0;"><strong>Generated by Ledgematic.com</strong></p>
                            </div>
                        </div>


                    </div>
                </div>
            </div>
        </div>
    </div> --}}
    <!-- end row -->

    <style>
        .table-bordered {
            border: solid 3px #0000009c !important;
        }

        .table-light th {
            background-color: #e4e4e4 !important;
        }

        .table th {
            vertical-align: bottom;
            border-color: black !important;
        }
        .table-bordered td{
            border-color: #000000 !important;
        }
    </style>
    <div class="row">
        <div class="col-lg-12">
            <div class="card">
                <div class="card-body">
                    <div class="invoice-title">
                        <div class="row">
                            <div class="col-6">
                            </div>
                            <div class="col-6">
                                <div class="d-print-none">
                                    <div class="float-right">
                                        <a href="javascript:window.print()"
                                            class="btn btn-success waves-effect waves-light"> Print <i
                                                class="fa fa-print"></i></a>
                                    </div>
                                </div>
                            </div>
                        </div>


                    </div>
                    <hr>
                    <div class="py-2 mt-3">
                        <h3 class="font-size-16 text-center font-weight-bold">Opening Balances</h3>
                    </div>
                    <div class="table-responsive">
                        <table class="table table-nowrap table-bordered">
                            <tbody>
                                <tr>
                                    <th colspan="5" class="border-0">Company Name: {{ $company->name }}
                                    </th>
                                    <th colspan="2">Date: {{ date('d/m/Y', strtotime($openingBalance[0]->date)) }}</th>
                                </tr>
                                <tr>
                                    <th colspan="5" class="border-0">Branch Address: {{ session()->get('branch')->address }}</th>
                                    <th colspan="2">Opening Balances # : {{ $openingBalance[0]->invoice_no }}</th>
                                </tr>
                                <tr class="table-light">
                                    {{-- <th>Item Name</th> --}}
                                    <th>Item Description</th>
                                    <th>warehouse</th>
                                    <th>quantity</th>
                                    <th>Item Unit</th>
                                    <th>Rate Unit</th>
                                    <th>Amount</th>
                                </tr>
                                @php
                                    $totalQuantity = 0;
                                    $totalRate = 0;
                                @endphp
                                @foreach ($openingBalance as $key=>$op)
                                <tr>
                                        {{-- <td>{{ $op->item->name ?? '' }}</td> --}}
                                        <td>{{ $op->item_description }}</td>
                                        <td>{{ $op->warehouse->name }}</td>
                                        <td>{{ $op->quantity }}</td>
                                        <td>{{ $op->unit->unit }}</td>
                                        <td>{{ number_format($op->rate_unit, session('branch')->currency_decimal) }}</td>
                                        <td>{{ number_format($op->amount, session('branch')->currency_decimal) }}</td>
                                </tr>
                                @php
                                        $totalQuantity += $op->quantity;
                                        $totalRate += $op->amount ;
                                    @endphp
                                @endforeach
                                <tr>
                                    <td colspan="5" rowspan="2">Branch Details: {{ session()->get('branch')->payment_details }}</td>
                                    <td>Total Quantity</td>
                                    <td>{{ $totalQuantity }}</td>
                                </tr>
                                <tr>
                                    <td>Net Total</td>
                                    <td >{{ $totalRate }}</td>
                                </tr>
                                <tr>
                                    <td colspan="7" class="border-0">Signature & Stamp</td>
                                </tr>
                                <tr>
                                    <td colspan="3" rowspan="2" class="border-0">ahmed</td>
                                    <td colspan="4" rowspan="2" class="text-right border-0">{{ $company->name }}</td>
                                </tr>
                            </tbody>
                        </table>

                        <div class="py-2 mt-3">
                            <h3 class="font-size-15 text-center font-weight-bold">Generated by
                                Ledgematic.com</h3>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>

    <script>
        function printPageArea(areaID) {
            var printContent = document.getElementById(areaID).innerHTML;
            var originalContent = document.body.innerHTML;
            document.body.innerHTML = printContent;
            window.print();
            document.body.innerHTML = originalContent;
        }
    </script>

    <script>
        document.addEventListener("DOMContentLoaded", function() {
            // Initialize total amount
            let totalAmount = 0;
            let totalQty = 0;

            const openingBalance = @json($openingBalance);

            openingBalance.forEach(function(op) {

                const itemQTY = parseFloat(op.quantity);
                const itemAmount = parseFloat(op.amount);
                totalQty += itemQTY;
                totalAmount += itemAmount;
            });

            document.getElementById("grand-total-qty").textContent = totalQty.toFixed({{ session()->get('branch')->currency_decimal }});
            document.getElementById("grand-total").textContent = totalAmount.toFixed({{ session()->get('branch')->currency_decimal }});
        });
    </script>
@endsection
