@extends('layouts.crusher')
@section('content')
    {{-- <div class="row">
        <div class="col-md-12">
            <div class="row mt-4 mb-1">
                <div class="col-md-6">
                    <h6 class="card-title mb-4 titlcust">View Purchase Order</h6>
                </div>
                <div class="col-md-6">
                    <a href="">
                        <button class="btn btn-outline-primary float-right cust-btn1" onclick="printPageArea('printableArea')"
                            type="submit">Print Document
                        </button>
                    </a>
                </div>
            </div>
            <div class="card" id="printableArea">
                <div class="card-body">

                    <h6 class="card-title mb-1 text-center font-size-20">Purchase Order</h6>
                    <br>


                    @if (!empty(($companyLogo = auth()->user()->company_logo)))
                    <div class="col-md-12 d-flex align-items-center justify-content-center">
                        <img src="{{ asset('storage/app/public/' . $companyLogo) }}" class="img-fluid"
                            alt="logo" width="270px">
                        </div>
                    @else

                    @endif

                    <div class="row">
                        <div class="col-md-9 pt-2" style="border-top: solid;border-bottom: solid;border-left: solid;border-color: black;padding: 0;">
                            <p class="text-dark font-weight-bold" style="padding: 5px;margin:0"><strong>Company Name: </strong> {{ $company->name }}</p>
                            <p class="text-dark font-weight-bold" style="padding: 5px;margin:0"><strong>Branch Name: </strong> {{ session()->get('branch')->name }}</p>
                            <p class="text-dark font-weight-bold" style="padding: 5px;margin:0"><strong>Branch Address</strong> {{ session()->get('branch')->address }}</p>
                            <p class="text-dark font-weight-bold" style="padding: 5px;margin:0"><strong>Company Country</strong> {{ $company->country }}</p>
                            <p class="text-dark font-weight-bold" style="padding: 5px;margin:0"><strong>Company CR Number</strong> {{ $company->cr_number }}</p>
                            <p class="text-dark font-weight-bold" style="padding: 5px;margin:0"><strong>Company VAT Number</strong> {{ $company->vat_number }}</p>
                        </div>
                        <div class="col-md-3 pt-2" style="border-top: solid;border-right: solid;border-bottom: solid;border-left: solid;border-color: black;padding: 0;">
                            <p class="text-dark font-weight-bold" style="border-bottom: solid;border-color: black;padding: 5px;margin:0;"><strong>Date : </strong>{{ date('d/m/Y', strtotime($purchaseOrder[0]->date)) }}</p>
                            <p class="text-dark font-weight-bold" style="border-bottom: solid;border-color: black;padding: 5px;margin:0;"><strong>Purchase Order # : </strong> {{ $purchaseOrder[0]->invoice_no }}</p>
                        </div>
                        <div class="col-md-12" style="border-left: solid;border-right: solid;border-color: black;padding: 0;">
                            <p class="text-dark font-weight-bold" style="padding: 5px;margin:0;"><strong>Client; </strong> </p>
                            <p class="text-dark font-weight-bold" style="padding: 5px;margin:0;"><strong>Account Name : </strong> {{ $purchaseOrder[0]->account->name_of_organisation ?? ($purchaseOrder[0]->account->account_name ?? $purchaseOrder[0]->account->first_name . ' ' . $purchaseOrder[0]->account->last_name) }}</p>
                            <p class="text-dark font-weight-bold" style="padding: 5px;margin:0;"><strong>Email :</strong> {{ $purchaseOrder[0]->account->email ?? 'No Record Found' }}</p>
                            <p class="text-dark font-weight-bold" style="padding: 5px;margin:0;"><strong>Contact Person Name : </strong>{{ $purchaseOrder[0]->account->contact_person_name ?? 'No Record Found' }}</p>
                            <p class="text-dark font-weight-bold" style="padding: 5px;margin:0;"><strong>Contact Number : </strong>{{ $purchaseOrder[0]->account->mobile ?? 'No Record Found' }}</p>
                            <p class="text-dark font-weight-bold" style="padding: 5px;margin:0;"><strong>VAT Number : </strong>{{ $purchaseOrder[0]->account->vat_number ?? 'No Record Found' }}</p>
                        </div>
                    </div>
                    <div class="row">
                        <div class="table-responsive mb-0 pb-0" >
                            <table class="table table-striped table-bordered dt-responsive nowrap mb-0" style="border-bottom: solid;border-left: solid;border-right: solid;border-left: solid;border-color: black;padding: 0;">
                                <thead >
                                    <tr style="background-color: lightgray;color:black;border-color: black">
                                            <th style="border: none">S No.</th>
                                            <th style="border: none">Item Description</th>
                                            <th style="border: none">Quantity</th>
                                            <th style="border: none">Rate / Unit</th>
                                            <th style="border: none">Gross</th>
                                            <th style="border: none">VAT %</th>
                                            <th style="border: none">VAT Amount</th>
                                            <th style="border: none">Net Amount</th>
                                    </tr>
                                </thead>
                                <tbody id="table-body" >
                                    @foreach ($purchaseOrder as $key=>$po)
                                   <tr>
                                        <td class="border border-dark">{{ $key + 1 }}</td>
                                        <td class="border border-dark">{{ $po->item_description }}</td>
                                        <td class="border border-dark">{{ $po->quantity }}</td>
                                        <td class="border border-dark">{{ number_format($po->rate_unit, session('branch')->currency_decimal) }}</td>
                                        <td class="border border-dark">{{ number_format($po->gross_amount, session('branch')->currency_decimal) }}</td>
                                        <td class="border border-dark">{{ $po->vat_percentage }}</td>
                                        <td class="border border-dark">{{ number_format($po->vat_amount, session('branch')->currency_decimal) }}</td>
                                        <td class="border border-dark">{{ number_format($po->net_amount, session('branch')->currency_decimal) }}</td>
                                   </tr>
                                   @endforeach

                                </tbody>
                            </table>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-8 pt-2" style="border-left: solid;border-color: black;padding: 0;">
                            <p class="text-dark font-weight-bold" style="padding: 5px;margin:0">{!! session()->get('branch')->payment_details !!}</p>
                        </div>
                        <div class="col-md-2 pt-2" style="border-right: solid;border-left: solid;border-color: black;padding: 0;">
                            <p class="text-dark font-weight-bold" style="border-bottom: solid;border-color: black;padding: 5px;margin:0;"><strong>Quantity Total </strong></p>
                            <p class="text-dark font-weight-bold" style="border-bottom: solid;border-color: black;padding: 5px;margin:0;"><strong>Gross Total </strong></p>
                            <p class="text-dark font-weight-bold" style="border-bottom: solid;border-color: black;padding: 5px;margin:0;"><strong>Vat Total </strong></p>
                            <p class="text-dark font-weight-bold" style="border-bottom: solid;border-color: black;padding: 5px;margin:0;"><strong>Net Total </strong></p>
                        </div>
                        <div class="col-md-2 pt-2" style="border-right: solid;border-color: black;padding: 0;">
                            <p class="text-dark font-weight-bold" style="border-bottom: solid;border-color: black;padding: 5px;margin:0;">{{ $purchaseOrder[0]->total_quantity }}</p>
                            <p class="text-dark font-weight-bold" style="border-bottom: solid;border-color: black;padding: 5px;margin:0;">{{ number_format($purchaseOrder[0]->total_gross_amount, session('branch')->currency_decimal) }}</p>
                            <p class="text-dark font-weight-bold" style="border-bottom: solid;border-color: black;padding: 5px;margin:0;">{{ number_format($purchaseOrder[0]->total_vat_amount, session('branch')->currency_decimal) }}</p>
                            <p class="text-dark font-weight-bold" style="border-bottom: solid;border-color: black;padding: 5px;margin:0;">{{ number_format($purchaseOrder[0]->total_net_amount, session('branch')->currency_decimal) }}</p>
                        </div>
                        <div class="col-md-8 pt-2" style="border-bottom: solid;border-left: solid;border-color: black;padding: 0;">
                        </div>
                        <div class="col-md-4 pt-2" style="border-right: solid;border-left: solid;border-color: black;padding: 0;">
                            <p class="text-dark font-weight-bold" style="border-bottom: solid;border-color: black;padding: 5px;margin:0;text-transform: capitalize"><strong>Amount in Words: </strong><span>{{ $purchaseOrder[0]->AmountInWords }}</span></p>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6 pt-2 d-flex flex-column justify-content-end" style="border-bottom: solid; border-left: solid; border-color: black; padding: 0; height: 150px;">
                            <p class="text-dark font-weight-bold text-left" style="padding: 5px; margin: 0;"><strong>Client Signature & Stamp</strong></p>
                        </div>


                        <div class="col-md-6 pt-2 d-flex flex-column justify-content-end" style="border-bottom: solid;border-right: solid;border-color: black;padding: 0;height: 150px;">
                            <p class="text-dark font-weight-bold mt-5 text-right" style="padding: 5px;margin:0"><strong>{{ $company->name }}</strong></p>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12 pt-2 d-flex flex-column justify-content-center alien-item-center" >
                            <p class="text-dark font-weight-bold text-center" style="padding: 5px; margin: 0;"><strong>Generated by Ledgematic.com</strong></p>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>
    </div> --}}
    <!-- end row -->


    <style>
        .table-bordered {
            border: solid 3px #0000009c !important;
        }

        .table-light th {
            background-color: #e4e4e4 !important;
        }

        .table th {
            vertical-align: bottom;
            border-color: black !important;
        }
        .table-bordered td{
            border-color: #000000 !important;
        }
    </style>
    <div class="row">
        <div class="col-lg-12">
            <div class="card">
                <div class="card-body">
                    <div class="invoice-title">
                        <div class="row">
                            <div class="col-6">
                            </div>
                            <div class="col-6">
                                <div class="d-print-none">
                                    <div class="float-right">
                                        <a href="javascript:window.print()"
                                            class="btn btn-success waves-effect waves-light"> Print <i
                                                class="fa fa-print"></i></a>
                                    </div>
                                </div>
                            </div>
                        </div>


                    </div>
                    <hr>
                    <div class="py-2 mt-3">
                        <h3 class="font-size-16 text-center font-weight-bold">Purchase Order</h3>
                    </div>
                    <div class="table-responsive">
                        <table class="table table-bordered">
                            <!-- <thead>

                            </thead> -->
                            <tbody>
                                <tr>
                                    <th colspan="6" class="border-0">Company Name: {{ $company->name }}
                                    </th>
                                    <th colspan="2">Date: {{ date('d/m/Y', strtotime($purchaseOrder[0]->date)) }}</th>
                                </tr>
                                <tr>
                                    <th  colspan="2">Purchase Order# : {{ $purchaseOrder[0]->invoice_no }}</th>
                                </tr>
                                <tr>
                                    <th colspan="6" class="border-0">Branch Address: {{ session()->get('branch')->address }}</th>
                                    <th  colspan="2" rowspan="4"></th>
                                </tr>
                                <tr><th colspan="6" class="border-0"><strong>Client:</strong></th></tr>
                                <tr><th colspan="6" class="border-0">Account Name : {{ $purchaseOrder[0]->account->name_of_organisation ?? ($purchaseOrder[0]->account->account_name ?? $purchaseOrder[0]->account->first_name . ' ' . $purchaseOrder[0]->account->last_name) }}</th></tr>
                                <tr><th colspan="6" class="border-0">Email : {{ $purchaseOrder[0]->account->email ?? 'No Record Found' }}</th></tr>
                                <tr><th colspan="6" class="border-0">Contact Person Name : {{ $purchaseOrder[0]->account->contact_person_name ?? 'No Record Found' }}</th></tr>
                                <tr><th colspan="6" class="border-0">Contact Number : {{ $purchaseOrder[0]->account->mobile ?? 'No Record Found' }}</th></tr>
                                <tr><th colspan="6" class="border-0">VAT Number : {{ $purchaseOrder[0]->account->vat_number ?? 'No Record Found' }}</th></tr>
                                <tr class="table-light">
                                    <th>S No.</th>
                                    <th>Item Description</th>
                                    <th>Quantity</th>
                                    <th>Rate / Unit</th>
                                    <th>Gross</th>
                                    <th>VAT %</th>
                                    <th>VAT Amount</th>
                                    <th>Net Amount</th>
                                </tr>
                                @foreach ($purchaseOrder as $key=>$po)
                                <tr>
                                     <td class="border border-dark">{{ $key + 1 }}</td>
                                     <td class="border border-dark">{{ $po->item_description }}</td>
                                     <td class="border border-dark">{{ $po->quantity }}</td>
                                     <td class="border border-dark">{{ number_format($po->rate_unit, session('branch')->currency_decimal) }}</td>
                                     <td class="border border-dark">{{ number_format($po->gross_amount, session('branch')->currency_decimal) }}</td>
                                     <td class="border border-dark">{{ $po->vat_percentage }}</td>
                                     <td class="border border-dark">{{ number_format($po->vat_amount, session('branch')->currency_decimal) }}</td>
                                     <td class="border border-dark">{{ number_format($po->net_amount, session('branch')->currency_decimal) }}</td>
                                </tr>
                                @endforeach
                                <tr>
                                    <td colspan="6" rowspan="5">Terms and Condition : {{ $tnc->description ?? '' }}</td>
                                    <td>Quantity Total</td>
                                    <td>{{ $purchaseOrder[0]->total_quantity }}</td>
                                </tr>
                                <tr>
                                    <td colspan="2" rowspan="3">Branch Details: {{ session()->get('branch')->payment_details }}</td>
                                    <td>Gross Total</td>
                                    <td>{{ number_format($purchaseOrder[0]->total_gross_amount, session('branch')->currency_decimal) }}</td>
                                </tr>
                                <tr>
                                    <td>Vat Total</td>
                                    <td>{{ number_format($purchaseOrder[0]->total_vat_amount, session('branch')->currency_decimal) }}</td>
                                </tr>
                                <tr>
                                    <td>Net Total</td>
                                    <td>{{ number_format($purchaseOrder[0]->total_net_amount, session('branch')->currency_decimal) }}</td>
                                </tr>
                                <tr>
                                    <td colspan="2">Amount in Words: {{ $purchaseOrder[0]->AmountInWords }}</td>
                                </tr>
                                <tr>
                                    <td colspan="8" >Narration : {{$purchaseOrder[0]->narration}}</td>
                                </tr>
                                <tr>
                                    <td colspan="8" class="border-0">Signature & Stamp</td>
                                </tr>
                                <tr>
                                    <td colspan="4" rowspan="3" class="border-0">{{ $purchaseOrder[0]->account->name_of_organisation ?? ($purchaseOrder[0]->account->account_name ?? $purchaseOrder[0]->account->first_name . ' ' . $purchaseOrder[0]->account->last_name) }}</td>
                                    <td colspan="4" rowspan="2" class="text-right border-0">{{ $company->name }}</td>
                                </tr>
                            </tbody>
                        </table>

                        <div class="py-2 mt-3">
                            <h3 class="font-size-15 text-center font-weight-bold">Generated by
                                Ledgematic.com</h3>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>

    <script>
        function printPageArea(areaID) {
            var printContent = document.getElementById(areaID).innerHTML;
            var originalContent = document.body.innerHTML;
            document.body.innerHTML = printContent;
            window.print();
            document.body.innerHTML = originalContent;
        }
    </script>

<script>
    document.addEventListener("DOMContentLoaded", function() {
        // Calculate the grand total and update the element
        const totalGrossAmount = {{ $purchaseOrder[0]->total_gross_amount }};
        const totalVatAmount = {{ $purchaseOrder[0]->total_vat_amount }};
        const totalNetAmount = {{ $purchaseOrder[0]->total_net_amount }};

        const grandTotal = totalGrossAmount + totalVatAmount + totalNetAmount;
        const roundedGrandTotal = grandTotal.toFixed(2);
        document.getElementById("grand-total").textContent = roundedGrandTotal;

        // Convert total net amount to words and update the corresponding field
        const netAmountTotal = totalNetAmount.toFixed(2);
        var totalNetAmountWords = numberToWords(netAmountTotal);
        $('#total_net_amount_words').text(totalNetAmountWords);
    });
</script>
@endsection
