@extends('layouts.superadmin')
@section('content')
<div class="page-content">

    <!-- start page title -->
    <div class="row">
        <div class="col-12">
            <div class="page-title-box d-flex align-items-center justify-content-between">
                <h4 class="page-title mb-0 font-size-18">Dashboard</h4>

                <div class="page-title-right">
                    <ol class="breadcrumb m-0">
                        <h4 class="page-title mb-0 font-size-18">Powered By Ledgematic</h4>
                    </ol>
                </div>

            </div>
        </div>
    </div>
    <!-- end page title -->

    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-6">
                            <h6 class="card-title mb-4 titlcust">Company Details</h6>
                        </div>
                    </div>


                    <!-- <div class="container"> -->
                    <div class="row">
                        @php
                            $user = App\User::where('id',$company->user_id)->first();
                        @endphp
                        <div class="col-md-2  col-sm-6  col-xl-2">
                            <p>Client Name:</p>
                        </div>
                        <div class="col-md-3  col-sm-6  col-xl-2">
                            <div class="form-group">
                                <p>{{$user->name}}</p>
                            </div>
                        </div>

                        <div class="col-md-2  col-sm-6  col-xl-2">
                            <p>Company Name:</p>
                        </div>
                        <div class="col-md-3  col-sm-6  col-xl-2">
                            <div class="form-group">
                                <p>{{$company->name}}</p>
                            </div>
                        </div>
                        <div class="col-md-2  col-sm-6  col-xl-2">
                            <p>Company Email:</p>
                        </div>
                        <div class="col-md-3  col-sm-6  col-xl-2">
                            <div class="form-group">
                                <p>{{$company->email}}</p>
                            </div>
                        </div>
                        <div class="col-md-2  col-sm-6  col-xl-2">
                            <p>Client Email:</p>
                        </div>
                        <div class="col-md-3  col-sm-6  col-xl-2">
                            <div class="form-group">
                                <p>{{$user->email}}</p>
                            </div>
                        </div>
                        <div class="col-md-2  col-sm-6  col-xl-2">
                            <p>CR Number:</p>
                        </div>
                        <div class="col-md-3  col-sm-6  col-xl-2">
                            <div class="form-group">
                                <p>{{$company->cr_number}}</p>
                            </div>
                        </div> <div class="col-md-2  col-sm-6  col-xl-2">
                            <p>VAT:</p>
                        </div>
                        <div class="col-md-3  col-sm-6  col-xl-2">
                            <div class="form-group">
                                <p>{{$company->vat_number}}</p>
                            </div>
                        </div> <div class="col-md-2  col-sm-6  col-xl-2">
                            <p>TRN:</p>
                        </div>
                        <div class="col-md-3  col-sm-6  col-xl-2">
                            <div class="form-group">
                                <p>{{$company->trn_number}}</p>
                            </div>
                        </div>
                        <div class="col-md-2  col-sm-6  col-xl-2">
                            <p>TIN:</p>
                        </div>
                        <div class="col-md-3  col-sm-6  col-xl-2">
                            <div class="form-group">
                                <p>{{$company->tin_number}}</p>
                            </div>
                        </div>
                        <div class="col-md-2  col-sm-6  col-xl-2">
                            <p>Address:</p>
                        </div>
                        <div class="col-md-3  col-sm-6  col-xl-2">
                            <div class="form-group">
                                <p>{{session()->get('branch')->address}}</p>
                            </div>
                        </div>
                    </div>

                    <!-- </div> -->

                </div>
            </div>
        </div>
    </div>
</div>
@endsection
