<?php $__env->startSection('content'); ?>


        
    <!-- end row -->

    <style>
        .table-bordered {
            border: solid 3px #0000009c !important;
        }

        .table-light th {
            background-color: #e4e4e4 !important;
        }

        .table th {
            vertical-align: bottom;
            border-color: black !important;
        }
        .table-bordered td{
            border-color: #000000 !important;
        }
    </style>
    <div class="row">
        <div class="col-lg-12">
            <div class="card">
                <div class="card-body">
                    <div class="invoice-title">
                        <div class="row">
                            <div class="col-6">
                            </div>
                            <div class="col-6">
                                <div class="d-print-none">
                                    <div class="float-right">
                                        <a href="javascript:window.print()"
                                            class="btn btn-success waves-effect waves-light"> Print <i
                                                class="fa fa-print"></i></a>
                                    </div>
                                </div>
                            </div>
                        </div>


                    </div>
                    <hr>
                    <div class="py-2 mt-3">
                        <h3 class="font-size-16 text-center font-weight-bold">Opening Balances</h3>
                    </div>
                    <div class="table-responsive">
                        <table class="table table-nowrap table-bordered">
                            <tbody>
                                <tr>
                                    <th colspan="5" class="border-0">Company Name: <?php echo e($company->name); ?>

                                    </th>
                                    <th colspan="2">Date: <?php echo e(date('d/m/Y', strtotime($openingBalance[0]->date))); ?></th>
                                </tr>
                                <tr>
                                    <th colspan="5" class="border-0">Branch Address: <?php echo e(session()->get('branch')->address); ?></th>
                                    <th colspan="2">Opening Balances # : <?php echo e($openingBalance[0]->invoice_no); ?></th>
                                </tr>
                                <tr class="table-light">
                                    
                                    <th>Item Description</th>
                                    <th>warehouse</th>
                                    <th>quantity</th>
                                    <th>Item Unit</th>
                                    <th>Rate Unit</th>
                                    <th>Amount</th>
                                </tr>
                                <?php
                                    $totalQuantity = 0;
                                    $totalRate = 0;
                                ?>
                                <?php $__currentLoopData = $openingBalance; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$op): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                        
                                        <td><?php echo e($op->item_description); ?></td>
                                        <td><?php echo e($op->warehouse->name); ?></td>
                                        <td><?php echo e($op->quantity); ?></td>
                                        <td><?php echo e($op->unit->unit); ?></td>
                                        <td><?php echo e(number_format($op->rate_unit, session('branch')->currency_decimal)); ?></td>
                                        <td><?php echo e(number_format($op->amount, session('branch')->currency_decimal)); ?></td>
                                </tr>
                                <?php
                                        $totalQuantity += $op->quantity;
                                        $totalRate += $op->amount ;
                                    ?>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td colspan="5" rowspan="2">Branch Details: <?php echo e(session()->get('branch')->payment_details); ?></td>
                                    <td>Total Quantity</td>
                                    <td><?php echo e($totalQuantity); ?></td>
                                </tr>
                                <tr>
                                    <td>Net Total</td>
                                    <td ><?php echo e($totalRate); ?></td>
                                </tr>
                                <tr>
                                    <td colspan="7" class="border-0">Signature & Stamp</td>
                                </tr>
                                <tr>
                                    <td colspan="3" rowspan="2" class="border-0">ahmed</td>
                                    <td colspan="4" rowspan="2" class="text-right border-0"><?php echo e($company->name); ?></td>
                                </tr>
                            </tbody>
                        </table>

                        <div class="py-2 mt-3">
                            <h3 class="font-size-15 text-center font-weight-bold">Generated by
                                Ledgematic.com</h3>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>

    <script>
        function printPageArea(areaID) {
            var printContent = document.getElementById(areaID).innerHTML;
            var originalContent = document.body.innerHTML;
            document.body.innerHTML = printContent;
            window.print();
            document.body.innerHTML = originalContent;
        }
    </script>

    <script>
        document.addEventListener("DOMContentLoaded", function() {
            // Initialize total amount
            let totalAmount = 0;
            let totalQty = 0;

            const openingBalance = <?php echo json_encode($openingBalance, 15, 512) ?>;

            openingBalance.forEach(function(op) {

                const itemQTY = parseFloat(op.quantity);
                const itemAmount = parseFloat(op.amount);
                totalQty += itemQTY;
                totalAmount += itemAmount;
            });

            document.getElementById("grand-total-qty").textContent = totalQty.toFixed(<?php echo e(session()->get('branch')->currency_decimal); ?>);
            document.getElementById("grand-total").textContent = totalAmount.toFixed(<?php echo e(session()->get('branch')->currency_decimal); ?>);
        });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.crusher', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH F:\zampp 2 7.4\htdocs\ledgematic\ledgematic\ledgematic\resources\views/crusher/trans_opening_balance/view.blade.php ENDPATH**/ ?>