<?php $__env->startSection('content'); ?>
    
    <!-- end row -->

    <style>
        .table-bordered {
            border: solid 3px #0000009c !important;
        }

        .table-light th {
            background-color: #e4e4e4 !important;
        }

        .table th {
            vertical-align: bottom;
            border-color: black !important;
        }
        .table-bordered td{
            border-color: #000000 !important;
        }
    </style>
    <div class="row">
        <div class="col-lg-12">
            <div class="card">
                <div class="card-body">
                    <div class="invoice-title">
                        <div class="row">
                            <div class="col-6">
                            </div>
                            <div class="col-6">
                                <div class="d-print-none">
                                    <div class="float-right">
                                        <a href="javascript:window.print()"
                                            class="btn btn-success waves-effect waves-light"> Print <i
                                                class="fa fa-print"></i></a>
                                    </div>
                                </div>
                            </div>
                        </div>


                    </div>
                    <hr>
                    <div class="py-2 mt-3">
                        <h3 class="font-size-16 text-center font-weight-bold">Journal Voucher</h3>
                    </div>
                    <div class="table-responsive">
                        <table class="table table-bordered">
                            <tbody>
                                <tr>
                                    <th colspan="3" class="border-0">Company Name: <?php echo e($company->name); ?>

                                    </th>
                                    <th>Date: <?php echo e(date('d/m/Y', strtotime($journalVoucher[0]->date))); ?></th>
                                </tr>
                                <tr>
                                    <th colspan="3" class="border-0">Branch Address: <?php echo e(session()->get('branch')->address); ?></th>
                                   <th >Journal Voucher # <?php echo e($journalVoucher[0]->invoice_no); ?></th>
                                </tr>
                                <tr><th colspan="6" class="border-0"><strong>Client:</strong></th></tr>
                                <tr><th colspan="6" class="border-0">Account Name : <?php echo e($journalVoucher[0]->account->name_of_organisation ?? ($journalVoucher[0]->account->account_name ?? $journalVoucher[0]->account->first_name . ' ' . $journalVoucher[0]->account->last_name)); ?></th></tr>
                                <tr><th colspan="6" class="border-0">Email : <?php echo e($journalVoucher[0]->account->email ?? 'No Record Found'); ?></th></tr>
                                <tr><th colspan="6" class="border-0">Contact Person Name : <?php echo e($journalVoucher[0]->account->contact_person_name ?? 'No Record Found'); ?></th></tr>
                                <tr><th colspan="6" class="border-0">Contact Number : <?php echo e($journalVoucher[0]->account->mobile ?? 'No Record Found'); ?></th></tr>
                                <tr><th colspan="6" class="border-0">VAT Number : <?php echo e($journalVoucher[0]->account->vat_number ?? 'No Record Found'); ?></th></tr>
                                <tr class="table-light">
                                    <th>Account Name</th>
                                    <th>Narrations</th>
                                    <th>Debit/Credit</th>
                                    <th>Amount</th>
                                </tr>
                                <?php $__currentLoopData = $journalVoucher; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$voucher): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                     <td><?php echo e($voucher->account->name_of_organisation ?? $voucher->account->account_name); ?></td>
                                     <td><?php echo e($voucher->narration); ?></td>
                                     <td><?php echo e($voucher->type); ?></td>
                                     <td><?php echo e(number_format($voucher->amount, session('branch')->currency_decimal)); ?></td>
                                </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td colspan="2" rowspan="3">Branch Details: <?php echo e(session()->get('branch')->payment_details); ?></td>
                                    <td>Debit Amount</td>
                                    <td><?php echo e(number_format($journalVoucher[0]->debit_amount, session('branch')->currency_decimal)); ?></td>
                                </tr>
                                <tr>
                                    <td>Credit Amount</td>
                                    <td><?php echo e(number_format($journalVoucher[0]->credit_amount, session('branch')->currency_decimal)); ?></td>
                                </tr>
                                <tr>
                                    <td>Difference</td>
                                    <td><?php echo e(number_format(0, session('branch')->currency_decimal)); ?></td>
                                </tr>
                                <tr>
                                    <td colspan="4" class="border-0">Signature & Stamp</td>
                                </tr>
                                <tr>
                                    <td colspan="2" rowspan="3" class="border-0"><?php echo e($journalVoucher[0]->account->name_of_organisation ?? ($journalVoucher[0]->account->account_name ?? $journalVoucher[0]->account->first_name . ' ' . $journalVoucher[0]->account->last_name)); ?></td>
                                    <td colspan="2" rowspan="2" class="text-right border-0"><?php echo e($company->name); ?></td>
                                </tr>
                            </tbody>
                        </table>

                        <div class="py-2 mt-3">
                            <h3 class="font-size-15 text-center font-weight-bold">Generated by
                                Ledgematic.com</h3>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>

    <script>
        document.addEventListener("DOMContentLoaded", function() {
            // Initialize total amounts
            let totalDebitAmount = 0;
            let totalCreditAmount = 0;

            // Extract journal voucher data from Blade's inline PHP
            const journalVoucher = <?php echo json_encode($journalVoucher, 15, 512) ?>;

            // Loop through journal vouchers to calculate debit and credit totals
            journalVoucher.forEach(function(voucher) {
                const voucherAmount = parseFloat(voucher.amount);
                const voucherType = voucher.type;

                if (voucherType === "debit") {
                    totalDebitAmount += voucherAmount;
                } else if (voucherType === "credit") {
                    totalCreditAmount += voucherAmount;
                }
            });

            // Calculate the difference between debit and credit
            const totalDifferenceAmount = totalDebitAmount - totalCreditAmount;

            // Update the elements with the calculated values
            document.getElementById("total-debit-amount").textContent = totalDebitAmount.toFixed(2);
            document.getElementById("total-credit-amount").textContent = totalCreditAmount.toFixed(2);
            document.getElementById("total-difference-amount").textContent = totalDifferenceAmount.toFixed(2);

            // Calculate the grand total
            const grandTotal = totalDebitAmount + totalCreditAmount;
            document.getElementById("grand-total").textContent = grandTotal.toFixed(2);
        });
    </script>





    <script>
        function printPageArea(areaID) {
            var printContent = document.getElementById(areaID).innerHTML;
            var originalContent = document.body.innerHTML;
            document.body.innerHTML = printContent;
            window.print();
            document.body.innerHTML = originalContent;
        }
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.crusher', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH F:\zampp 2 7.4\htdocs\ledgematic\ledgematic\ledgematic\resources\views/crusher/trans_journal_voucher/view.blade.php ENDPATH**/ ?>