<?php $__env->startSection('content'); ?>
    

    <style>
        .table-bordered {
            border: solid 3px #0000009c !important;
        }

        .table-light th {
            background-color: #e4e4e4 !important;
        }

        .table th {
            vertical-align: bottom;
            border-color: black !important;
        }

        .table-bordered td {
            border-color: #000000 !important;
        }
    </style>

    <div class="row">
        <div class="col-lg-12">
            <div class="card">
                <div class="card-body">
                    <div class="invoice-title">
                        <div class="row">
                            <div class="col-6">
                            </div>
                            <div class="col-6">
                                <div class="d-print-none">
                                    <div class="float-right">
                                        <a href="javascript:window.print()"
                                            class="btn btn-success waves-effect waves-light"> Print <i
                                                class="fa fa-print"></i></a>
                                    </div>
                                </div>
                            </div>
                        </div>


                    </div>
                    <hr>
                    <div class="py-2 mt-3">
                        <h3 class="font-size-16 text-center font-weight-bold">Debit Note</h3>
                    </div>
                    <div class="table-responsive">
                        <table class="table table-bordered">
                            <tbody>
                                <tr>
                                    <th colspan="6" class="border-0">Company Name: <?php echo e($company->name); ?>

                                    </th>
                                    <th colspan="2">Date: <?php echo e(date('d/m/Y', strtotime($debitNote[0]->date))); ?></th>
                                </tr>
                                <tr>
                                    <th colspan="6" class="border-0">Branch
                                        Address:<?php echo e(session()->get('branch')->address); ?></th>
                                        <th colspan="2">Debit Note # : <?php echo e($debitNote[0]->invoice_no); ?></th>
                                </tr>
                                <tr><th colspan="6" class="border-0"><strong>Client:</strong></th></tr>
                                <tr><th colspan="6" class="border-0">Account Name : <?php echo e($debitNote[0]->account->name_of_organisation ?? ($debitNote[0]->account->account_name ?? $debitNote[0]->account->first_name . ' ' . $debitNote[0]->account->last_name)); ?></th></tr>
                                <tr><th colspan="6" class="border-0">Email : <?php echo e($debitNote[0]->account->email ?? 'No Record Found'); ?></th></tr>
                                <tr><th colspan="6" class="border-0">Contact Person Name : <?php echo e($debitNote[0]->account->contact_person_name ?? 'No Record Found'); ?></th></tr>
                                <tr><th colspan="6" class="border-0">Contact Number : <?php echo e($debitNote[0]->account->mobile ?? 'No Record Found'); ?></th></tr>
                                <tr><th colspan="6" class="border-0">VAT Number : <?php echo e($debitNote[0]->account->vat_number ?? 'No Record Found'); ?></th></tr>
                                <tr class="table-light">
                                    
                                    <th>Item Description</th>
                                    <th>Quantity</th>
                                    <th>Rate/Unit</th>
                                    <th>Gross Amount</th>
                                    <th>VAT %</th>
                                    <th>VAT Amount</th>
                                    <th>Net Amount</th>
                                </tr>
                                <?php $__currentLoopData = $debitNote; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $dn): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        
                                        <td><?php echo e($cn->item->item_description ?? ''); ?></td>
                                        <td><?php echo e($dn->quantity); ?></td>
                                        <td>
                                            <?php echo e(number_format($dn->rate_unit, session('branch')->currency_decimal)); ?></td>
                                        <td>
                                            <?php echo e(number_format($dn->gross_amount, session('branch')->currency_decimal)); ?>

                                        </td>
                                        <td>
                                            <?php echo e(number_format($dn->vat_percentage, session('branch')->currency_decimal)); ?>

                                        </td>
                                        <td>
                                            <?php echo e(number_format($dn->vat_amount, session('branch')->currency_decimal)); ?></td>
                                        <td>
                                            <?php echo e(number_format($dn->net_amount, session('branch')->currency_decimal)); ?></td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td colspan="6" rowspan="5">Terms and Condition : <?php echo e($tnc->description ?? ''); ?></td>
                                    <td>Quantity Total</td>
                                    <td><?php echo e($debitNote[0]->total_quantity); ?></td>
                                </tr>
                                <tr>
                                    <td colspan="6" rowspan="5">Branch Details: <?php echo e(session()->get('branch')->payment_details); ?></td>
                                    <td>Gross Total</td>
                                    <td><?php echo e(number_format($debitNote[0]->total_gross_amount, session('branch')->currency_decimal)); ?>

                                    </td>
                                </tr>
                                <tr>
                                    <td>Vat Total</td>
                                    <td><?php echo e(number_format($debitNote[0]->total_vat_amount, session('branch')->currency_decimal)); ?>

                                    </td>
                                </tr>
                                <tr>
                                    <td>Net Total</td>
                                    <td><?php echo e(number_format($debitNote[0]->total_net_amount, session('branch')->currency_decimal)); ?>

                                    </td>
                                </tr>
                                <tr>
                                    <td colspan="2">Amount in Words: <?php echo e($debitNote[0]->AmountInWords); ?></td>
                                </tr>
                                <tr>
                                    <td colspan="8">Narration : <?php echo e($debitNote[0]->narration); ?></td>
                                </tr>
                                <tr>
                                    <td colspan="4" class="border-0">Signature & Stamp</td>
                                </tr>
                                <tr>
                                    <td colspan="4" rowspan="3" class="border-0">
                                        <?php echo e($debitNote[0]->account->name_of_organisation ?? ($debitNote[0]->account->account_name ?? $debitNote[0]->account->first_name . ' ' . $debitNote[0]->account->last_name)); ?>

                                    </td>
                                    <td colspan="4" rowspan="2" class="text-right border-0"><?php echo e($company->name); ?></td>
                                </tr>
                            </tbody>
                        </table>

                        <div class="py-2 mt-3">
                            <h3 class="font-size-15 text-center font-weight-bold">Generated by
                                Ledgematic.com</h3>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>

    <script>
        function printPageArea(areaID) {
            var printContent = document.getElementById(areaID).innerHTML;
            var originalContent = document.body.innerHTML;
            document.body.innerHTML = printContent;
            window.print();
            document.body.innerHTML = originalContent;
        }
    </script>

    <script>
        document.addEventListener("DOMContentLoaded", function() {
            const totalGrossAmount = <?php echo e($debitNote[0]->total_gross_amount); ?>;
            const totalVatAmount = <?php echo e($debitNote[0]->total_vat_amount); ?>;
            const totalNetAmount = <?php echo e($debitNote[0]->total_net_amount); ?>;

            let totalExpenseAmount = 0;
            <?php $__currentLoopData = $debitNote; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $dn): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <?php $__currentLoopData = $dn->expenses; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $expense): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    totalExpenseAmount += <?php echo e($expense->expense_amount); ?>;
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

            const grandTotal = totalGrossAmount + totalVatAmount + totalNetAmount + totalExpenseAmount;
            const roundedGrandTotal = grandTotal.toFixed(2);
            document.getElementById("grand-total").textContent = roundedGrandTotal;

            var totalNetAmountWords = numberToWords(roundedGrandTotal);
            $('#total_net_amount_words').text(totalNetAmountWords);
        });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.crusher', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH F:\zampp 2 7.4\htdocs\ledgematic\ledgematic\ledgematic\resources\views/crusher/trans_debit_note_prv/view.blade.php ENDPATH**/ ?>