
<?php $__env->startSection('content'); ?>




    

    <style>
        .table-bordered {
            border: solid 3px #0000009c !important;
        }

        .table-light th {
            background-color: #e4e4e4 !important;
        }

        .table th {
            vertical-align: bottom;
            border-color: black !important;
        }

        .table-bordered td {
            border-color: #000000 !important;
        }
    </style>
    <div class="row">
        <div class="col-lg-12">
            <div class="card">
                <div class="card-body">
                    <div class="invoice-title">
                        <div class="row">
                            <div class="col-6">
                            </div>
                            <div class="col-6">
                                <div class="d-print-none">
                                    <div class="float-right">
                                        <a href="javascript:window.print()"
                                            class="btn btn-success waves-effect waves-light"> Print <i
                                                class="fa fa-print"></i></a>
                                    </div>
                                </div>
                            </div>
                        </div>


                    </div>
                    <hr>
                    <div class="py-2 mt-3">
                        <h3 class="font-size-16 text-center font-weight-bold">Receipt Voucher</h3>
                    </div>
                    <div class="table-responsive">
                        <table class="table table-bordered">
                            <tbody>
                                <tr>
                                    <th colspan="2" class="border-0">Company Name: <?php echo e($company->name); ?>

                                    </th>
                                    <th colspan="2">Date: <?php echo e(date('d/m/Y', strtotime($receiptVoucher[0]->date))); ?></th>
                                </tr>
                                <tr>
                                    <th colspan="2">Receipt Voucher # : <?php echo e($receiptVoucher[0]->invoice_no); ?></th>
                                </tr>
                                <tr>
                                    <th colspan="2" class="border-0">Branch Address:
                                        <?php echo e(session()->get('branch')->address); ?></th>
                                    <th colspan="2">
                                        <?php if($receiptVoucher[0]->payment_method == 'cash'): ?>
                                            Cash
                                        <?php else: ?>
                                            <?php echo e($receiptVoucher[0]->bank_name); ?>

                                        <?php endif; ?>
                                    </th>
                                </tr>
                                <tr>
                                <tr class="table-light">
                                    <th>S No.</th>
                                    <th>Account Name</th>
                                    <th colspan="2">Amount</th>
                                    <?php
                                        $hasInvoiceId = false;
                                        foreach ($receiptVoucher as $rv) {
                                            foreach ($rv->expense as $expense) {
                                                if ($expense->inovice_id) {
                                                    $hasInvoiceId = true;
                                                    break 2;
                                                }
                                            }
                                        }
                                    ?>
                                    <?php if($hasInvoiceId): ?>
                                        <th>Select Invoice</th>
                                    <?php endif; ?>
                                </tr>
                                <?php
                                    $totalAmount = 0;
                                ?>
                                <?php $__empty_1 = true; $__currentLoopData = $receiptVoucher; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $rv): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                    <?php $__empty_2 = true; $__currentLoopData = $rv->expense; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$expense): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_2 = false; ?>
                                        <tr style="color:black;">
                                            <td class="border border-dark"><?php echo e($key + 1); ?></td>
                                            <td class="border border-dark">
                                                <?php if(isset($expense->account)): ?>
                                                    <?php echo e($expense->account->name_of_organisation ?? $expense->account->account_name); ?>

                                                <?php endif; ?>
                                            </td>
                                            <td colspan="2" class="border border-dark">
                                                <?php echo e(number_format($expense->amount, session('branch')->currency_decimal)); ?>

                                            </td>
                                            <?php if($hasInvoiceId): ?>
                                                <td class="border border-dark">
                                                    <?php if($expense->inovice_id): ?>
                                                        <?php echo e($expense->inovice_id); ?>

                                                    <?php endif; ?>
                                                </td>
                                            <?php endif; ?>
                                        </tr>

                                        <?php
                                            $totalAmount += $expense->amount;
                                            $AccName =
                                                $expense->account->name_of_organisation ??
                                                $expense->account->account_name;

                                        ?>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_2): ?>
                                    <?php endif; ?>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                <?php endif; ?>
                                <tr>
                                    <td colspan="2" rowspan="2">Branch Details: <?php echo e(session()->get('branch')->payment_details); ?></td>
                                    <td>Net Total</td>
                                    <td><?php echo e(number_format($totalAmount, session('branch')->currency_decimal)); ?></td>
                                </tr>
                                <tr>
                                    <td colspan="2">Amount in Words: <?php echo e($receiptVoucher[0]->AmountInWords); ?></td>
                                </tr>
                                <tr>
                                    <td colspan="4" class="border-0">Narration : <?php echo e($receiptVoucher[0]->narration); ?></td>
                                </tr>
                                <tr>
                                    <td colspan="4" class="border-0">Signature & Stamp</td>
                                </tr>
                                <tr>
                                    <td colspan="2" rowspan="3" class="border-0"><?php echo e($AccName); ?></td>
                                    <td colspan="2" rowspan="2" class="text-right border-0"><?php echo e($company->name); ?></td>
                                </tr>
                            </tbody>
                        </table>

                        <div class="py-2 mt-3">
                            <h3 class="font-size-15 text-center font-weight-bold">Generated by
                                Ledgematic.com</h3>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>

    <script>
        function printPageArea(areaID) {
            var printContent = document.getElementById(areaID).innerHTML;
            var originalContent = document.body.innerHTML;
            document.body.innerHTML = printContent;
            window.print();
            document.body.innerHTML = originalContent;
        }
    </script>

    <script>
        document.addEventListener("DOMContentLoaded", function() {
            // Initialize total amount
            let totalAmount = 0;

            // Extract receipt voucher data from Blade's inline PHP
            const receiptVoucher = <?php echo json_encode($receiptVoucher, 15, 512) ?>;

            // Loop through receipt voucher expenses to calculate total amount
            receiptVoucher.forEach(function(rv) {
                rv.expense.forEach(function(expense) {
                    const expenseAmount = parseFloat(expense.amount);
                    totalAmount += expenseAmount;
                });
            });

            // Update the grand total element with the calculated total amount
            document.getElementById("grand-total").textContent = totalAmount.toFixed(2);

            // Convert total net amount to words and update the corresponding field
            var totalNetAmountWords = numberToWords(totalAmount.toFixed(
                <?php echo e(session()->get('branch')->currency_decimal); ?>));
            $('#total_net_amount_words').text(totalNetAmountWords);
        });
    </script>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.crusher', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH F:\zampp 2 7.4\htdocs\ledgematic\ledgematic\ledgematic\resources\views/crusher/trans_receipt_voucher/view.blade.php ENDPATH**/ ?>