<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class DepositWithdrawVoucher extends Model
{
    use SoftDeletes;
    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'deposit_withdraw_vouchers';

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'location_id',
        'invoice_no',
        'date',
        'deposit_withdraw_option',
        'account_name',
        'bank_id',
        'cheaque_no',
        'cheaque_date',
        'person_id',
        'person_name',
        'total_amount',
        'amount_in_words',
        'narrations',


    ];


    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
    ];

    /**
     * The attributes that should be cast to native types.
     *
     * @var array
     */
    protected $casts = [
    ];

    //'foreign_key', 'local_key'
    public function items()
    {
        return $this->hasOne('App\DepositWithdrawVoucherItem', 'deposit_withdraw_voucher_id', 'id');
    }
}
