<!doctype html>
<html lang="en">

<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta content="Premium Multipurpose Admin & Dashboard Template" name="description" />
    <meta content="Themesbrand" name="author" />
    <!-- App favicon -->
    <title>Ledegmatic</title>
    <!-- App favicon -->
    <link rel="shortcut icon" href="{{asset('assets/images/favicon.png')}}">
    <!-- Bootstrap Css -->
    <link href="{{asset('assets/css/bootstrap.min.css')}}" id="bootstrap-style" rel="stylesheet" type="text/css" />
    <!-- Icons Css -->
    <link href="{{asset('assets/css/icons.min.css')}}" rel="stylesheet" type="text/css" />
    <!-- App Css-->
    <link href="{{asset('assets/css/app.min.css')}}" id="app-style" rel="stylesheet" type="text/css" />
    <link href="{{asset('assets/css/custom.css')}}" rel="stylesheet" />

</head>

<body class="body-bg over ">

    <div class="row ">
        <div class="col-md-6">
            <div class="auth-img-content cust-div2">
                <img src="@if (isset($loginImage)) ../{{ $loginImage->path }} @endif" width="100%"
                    height="100%" alt="" class="">

            </div>
        </div>
        <div class="col-md-6 ">
            <div class=" loginnew">


                <div class="card-body pt-5">
                    <a href="#" class="logo logo-admin mt-4 loginlogo">
                        <img src="{{asset('ledgematic')}}/img/logo6.svg" class="loginlogo" width="190px" alt="">
                    </a>
                    <div class="p-2">

                        <form class="form-horizontal" action="{{url('verify')}}" method="POST"><center>
                            @csrf
                            <br><p>Two Way verification</p></center>
                            <div class="form-group">
                                <label for="username">Verification</label>
                                <input type="text" class="form-control logininput" id="username" name="code"
                                    placeholder="Type 6-Digit Code">
                                    @error('code')
                                        <span class="error">{{ $message }}</span>
                                    @enderror
                                    @error('in_code')
                                        <span class="error">{{ $message }}</span>
                                    @enderror
                            </div>

                            <div class="mt-4 text-right">
                                <a href="{{url('resend')}}" class="text-muted"><i class="mdi mdi-lock mr-1"></i>
                                    Resend</a>
                            </div>

                            <div class="mt-3">
                                <button
                                    class="btn btn-cust btn-block waves-effect text-light loginbtn" type="submit">Submit</button>
                            </div>
                            <br><br>
                        </form>
                    </div>

                </div>
            </div>



        </div>
    </div>




    <!-- JAVASCRIPT -->
    <script src="{{asset('assets/libs/jquery/jquery.min.js')}}"></script>
    <script src="{{asset('assets/libs/bootstrap/js/bootstrap.bundle.min.js')}}"></script>
    <script src="{{asset('assets/libs/metismenu/metisMenu.min.js')}}"></script>
    <script src="{{asset('assets/libs/simplebar/simplebar.min.js')}}"></script>
    <script src="{{asset('assets/libs/node-waves/waves.min.js')}}"></script>

    <script src="{{asset('assets/js/app.js')}}"></script>

</body>

</html>
