@extends('layouts.crusher')
@section('content')
    {{-- <div class="row">
        <div class="col-md-12">
            <div class="row">
                <div class="col-md-6">
                    <h6 class="card-title mb-4 titlcust">View Delivery Note</h6>
                </div>
                <div class="col-md-6">
                    <a href="">
                        <button class="btn btn-outline-primary float-right cust-btn1" onclick="printPageArea('printableArea')"
                            type="submit">Print Document
                        </button>
                    </a>
                </div>
            </div>

            <div class="card" id="printableArea">
                <div class="card-body">

                    <h6 class="card-title mb-1 text-center font-size-20">Delivery Note</h6>
                    <br>


                    @if (!empty(($companyLogo = auth()->user()->company_logo)))
                    <div class="col-md-12 d-flex align-items-center justify-content-center">
                        <img src="{{ asset('storage/app/public/' . $companyLogo) }}" class="img-fluid"
                            alt="logo" width="270px">
                        </div>
                    @else

                    @endif

                    <div class="row">
                        <div class="col-md-9 pt-2" style="border-top: solid;border-bottom: solid;border-left: solid;border-color: black;padding: 0;">
                            <p class="text-dark font-weight-bold" style="padding: 5px;margin:0"><strong>Company Name: </strong> {{ $company->name }}</p>
                            <p class="text-dark font-weight-bold" style="padding: 5px;margin:0"><strong>Branch Name: </strong> {{ session()->get('branch')->name }}</p>
                            <p class="text-dark font-weight-bold" style="padding: 5px;margin:0"><strong>Branch Address</strong> {{ session()->get('branch')->address }}</p>
                            <p class="text-dark font-weight-bold" style="padding: 5px;margin:0"><strong>Company Country</strong> {{ $company->country }}</p>
                            <p class="text-dark font-weight-bold" style="padding: 5px;margin:0"><strong>Company CR Number</strong> {{ $company->cr_number }}</p>
                            <p class="text-dark font-weight-bold" style="padding: 5px;margin:0"><strong>Company VAT Number</strong> {{ $company->vat_number }}</p>
                        </div>
                        <div class="col-md-3 pt-2" style="border-top: solid;border-right: solid;border-left: solid;border-color: black;padding: 0;">
                            <p class="text-dark font-weight-bold" style="border-bottom: solid;border-color: black;padding: 5px;margin:0;"><strong>Date : </strong> {{ date('d/m/Y', strtotime($deliveryNote[0]->date)) }}</p>
                            <p class="text-dark font-weight-bold" style="border-bottom: solid;border-color: black;padding: 5px;margin:0;"><strong>Delivery Note # : </strong> {{ $deliveryNote[0]->do_no}}</p>

                        </div>
                        <div class="col-md-12" style="border-left: solid;border-right: solid;border-color: black;padding: 0;">
                            <p class="text-dark font-weight-bold" style="padding: 5px;margin:0;"><strong>Client; </strong> </p>
                            <p class="text-dark font-weight-bold" style="padding: 5px;margin:0;"><strong>Account Name : </strong> {{ $deliveryNote[0]->account->name_of_organisation ?? ($deliveryNote[0]->account->account_name ?? $deliveryNote[0]->account->first_name . ' ' . $deliveryNote[0]->account->last_name) }}</p>
                            <p class="text-dark font-weight-bold" style="padding: 5px;margin:0;"><strong>Email :</strong> {{ $deliveryNote[0]->account->email ?? 'No Record Found' }}</p>
                            <p class="text-dark font-weight-bold" style="padding: 5px;margin:0;"><strong>Contact Person Name : </strong>{{ $deliveryNote[0]->account->contact_person_name ?? 'No Record Found' }}</p>
                            <p class="text-dark font-weight-bold" style="padding: 5px;margin:0;"><strong>Contact Number : </strong>{{ $deliveryNote[0]->account->mobile ?? 'No Record Found' }}</p>
                            <p class="text-dark font-weight-bold" style="padding: 5px;margin:0;"><strong>VAT Number : </strong>{{ $deliveryNote[0]->account->vat_number ?? 'No Record Found' }}</p>
                        </div>
                    </div>
                    <div class="row">
                        <div class="table-responsive mb-0 pb-0" >
                            <table class="table table-striped table-bordered dt-responsive nowrap mb-0" style="border-bottom: solid;border-left: solid;border-right: solid;border-left: solid;border-color: black;padding: 0;">
                                <thead >
                                    <tr style="background-color: lightgray;color:black;border-color: black">
                                        <th style="border: none">Item Name</th>
                                        <th style="border: none">Item Description</th>
                                        <th style="border: none">QTY</th>
                                    </tr>
                                </thead>
                                <tbody id="table-body" >
                                    @foreach ($deliveryNote as $key=>$dn)

                                   <tr>
                                        <td class="border border-dark">{{ $dn->item->name ?? '' }}</td>
                                        <td class="border border-dark">{{ $dn->item_description }}</td>
                                        <td class="border border-dark">{{ $dn->quantity }}</td>
                                   </tr>
                                   @endforeach

                                </tbody>
                            </table>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-8 pt-2" style="border-bottom: solid;border-left: solid;border-color: black;padding: 0;">
                            <p class="text-dark font-weight-bold" style="padding: 5px;margin:0"><strong>Narration: </strong>{{$deliveryNote[0]->narration}}</p>
                        </div>
                        <div class="col-md-2 pt-2" style="border-bottom: solid;border-right: solid;border-left: solid;border-color: black;padding: 0;">
                            <p class="text-dark font-weight-bold" style="border-color: black;padding: 5px;margin:0;"><strong>Quantity Total </strong></p>
                        </div>
                        <div class="col-md-2 pt-2" style="border-bottom: solid;border-right: solid;border-color: black;padding: 0;">
                            <p class="text-dark font-weight-bold" style="border-color: black;padding: 5px;margin:0;">{{ $deliveryNote[0]->total_quantity }}</p>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6 pt-2 d-flex flex-column justify-content-end" style="border-bottom: solid; border-left: solid; border-color: black; padding: 0; height: 150px;">
                            <p class="text-dark font-weight-bold text-left" style="padding: 5px; margin: 0;"><strong>Client Signature & Stamp</strong></p>
                        </div>


                        <div class="col-md-6 pt-2 d-flex flex-column justify-content-end" style="border-bottom: solid;border-right: solid;border-color: black;padding: 0;height: 150px;">
                            <p class="text-dark font-weight-bold mt-5 text-right" style="padding: 5px;margin:0"><strong>{{ $company->name }}</strong></p>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12 pt-2 d-flex flex-column justify-content-center alien-item-center" >
                            <p class="text-dark font-weight-bold text-center" style="padding: 5px; margin: 0;"><strong>Generated by Ledgematic.com</strong></p>
                        </div>
                    </div>



            </div>
        </div>
    </div>
    </div>
    </div> --}}
    <!-- end row -->

    <style>
        .table-bordered {
            border: solid 3px #0000009c !important;
        }

        .table-light th {
            background-color: #e4e4e4 !important;
        }

        .table th {
            vertical-align: bottom;
            border-color: black !important;
        }
        .table-bordered td{
            border-color: #000000 !important;
        }
    </style>
    <div class="row">
        <div class="col-lg-12">
            <div class="card">
                <div class="card-body">
                    <div class="invoice-title">
                        <div class="row">
                            <div class="col-6">
                            </div>
                            <div class="col-6">
                                <div class="d-print-none">
                                    <div class="float-right">
                                        <a href="javascript:window.print()"
                                            class="btn btn-success waves-effect waves-light"> Print <i
                                                class="fa fa-print"></i></a>
                                    </div>
                                </div>
                            </div>
                        </div>


                    </div>
                    <hr>
                    <div class="py-2 mt-3">
                        <h3 class="font-size-16 text-center font-weight-bold">Delivery Note</h3>
                    </div>
                    <div class="table-responsive">
                        <table class="table table-bordered">
                            <tbody>
                                <tr>
                                    <th colspan="2" class="border-0">Company Name: {{ $company->name }}
                                    </th>
                                    <th>Date: {{ date('d/m/Y', strtotime($deliveryNote[0]->date)) }}</th>
                                </tr>
                                <tr>
                                    <th colspan="2" class="border-0">Branch Address: {{ session()->get('branch')->address }}</th>
                                    <th>Delivery Note # : {{ $deliveryNote[0]->do_no }}</th>
                                </tr>
                                <tr><th colspan="6" class="border-0"><strong>Client:</strong></th></tr>
                                <tr><th colspan="6" class="border-0">Account Name : {{ $deliveryNote[0]->account->name_of_organisation ?? ($deliveryNote[0]->account->account_name ?? $deliveryNote[0]->account->first_name . ' ' . $deliveryNote[0]->account->last_name) }}</th></tr>
                                <tr><th colspan="6" class="border-0">Email : {{ $deliveryNote[0]->account->email ?? 'No Record Found' }}</th></tr>
                                <tr><th colspan="6" class="border-0">Contact Person Name : {{ $deliveryNote[0]->account->contact_person_name ?? 'No Record Found' }}</th></tr>
                                <tr><th colspan="6" class="border-0">Contact Number : {{ $deliveryNote[0]->account->mobile ?? 'No Record Found' }}</th></tr>
                                <tr><th colspan="6" class="border-0">VAT Number : {{ $deliveryNote[0]->account->vat_number ?? 'No Record Found' }}</th></tr>
                                <tr class="table-light">
                                    {{-- <th>Item Name</th> --}}
                                    <th>Item Description</th>
                                    <th>Quantity</th>
                                </tr>
                                @foreach ($deliveryNote as $key=>$dn)
                                   <tr>
                                        {{-- <td>{{ $dn->item->name ?? '' }}</td> --}}
                                        <td>{{ $dn->item_description }}</td>
                                        <td>{{ $dn->quantity }}</td>
                                   </tr>
                                   @endforeach
                                <tr>
                                    <td colspan="6" rowspan="5">Terms and Condition : {{ $tnc->description ?? '' }}</td>
                                    <td colspan="1">Branch Details: {{ session()->get('branch')->payment_details }}</td>
                                    <td>Total Quantity</td>
                                    <td>{{ $deliveryNote[0]->total_quantity }}</td>
                                </tr>
                                <tr>
                                    <td colspan="8">Narration : {{$deliveryNote[0]->narrations}}</td>
                                </tr>
                                <tr>
                                    <td colspan="3" class="border-0">Signature & Stamp</td>
                                </tr>
                                <tr>
                                    <td colspan="1" rowspan="3" class="border-0">{{ $deliveryNote[0]->account->name_of_organisation ?? ($deliveryNote[0]->account->account_name ?? $deliveryNote[0]->account->first_name . ' ' . $deliveryNote[0]->account->last_name) }}</td>
                                    <td colspan="2" rowspan="2" class="text-right border-0">{{ $company->name }}</td>
                                </tr>
                            </tbody>
                        </table>

                        <div class="py-2 mt-3">
                            <h3 class="font-size-15 text-center font-weight-bold">Generated by
                                Ledgematic.com</h3>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>

    <script>
        function printPageArea(areaID) {
            var printContent = document.getElementById(areaID).innerHTML;
            var originalContent = document.body.innerHTML;
            document.body.innerHTML = printContent;
            window.print();
            document.body.innerHTML = originalContent;
        }
    </script>
@endsection
