@extends('layouts.crusher')
@section('content')





    {{-- <div class="row">
        <div class="col-md-12">
            <div class="row mt-4 mb-1">
                <div class="col-md-6">
                    <h6 class="card-title mb-4 titlcust">View Payment Voucher</h6>
                </div>
                <div class="col-md-6">
                    <a href="">
                        <button class="btn btn-outline-primary float-right cust-btn1" onclick="printPageArea('printableArea')"
                            type="submit">Print Document
                        </button>
                    </a>

                </div>
            </div>
            <div class="card" id="printableArea">
                <div class="card-body">

                    <h6 class="card-title mb-1 text-center font-size-20">Payment Voucher</h6>
                    <br>


                    @if (!empty(($companyLogo = auth()->user()->company_logo)))
                    <div class="col-md-12 d-flex align-items-center justify-content-center">
                        <img src="{{ asset('storage/app/public/' . $companyLogo) }}" class="img-fluid"
                            alt="logo" width="270px">
                        </div>
                    @else

                    @endif

                    <div class="row">
                        <div class="col-md-9 pt-2" style="border-top: solid;border-bottom: solid;border-left: solid;border-color: black;padding: 0;">
                            <p class="text-dark font-weight-bold" style="padding: 5px;margin:0"><strong>Company Name: </strong> {{ $company->name }}</p>
                            <p class="text-dark font-weight-bold" style="padding: 5px;margin:0"><strong>Branch Name: </strong> {{ session()->get('branch')->name }}</p>
                            <p class="text-dark font-weight-bold" style="padding: 5px;margin:0"><strong>Branch Address</strong> {{ session()->get('branch')->address }}</p>
                            <p class="text-dark font-weight-bold" style="padding: 5px;margin:0"><strong>Company Country</strong> {{ $company->country }}</p>
                            <p class="text-dark font-weight-bold" style="padding: 5px;margin:0"><strong>Company CR Number</strong> {{ $company->cr_number }}</p>
                            <p class="text-dark font-weight-bold" style="padding: 5px;margin:0"><strong>Company VAT Number</strong> {{ $company->vat_number }}</p>
                        </div>
                        <div class="col-md-3 pt-2" style="border-top: solid;border-right: solid;border-bottom: solid;border-left: solid;border-color: black;padding: 0;">
                            <p class="text-dark font-weight-bold" style="border-bottom: solid;border-color: black;padding: 5px;margin:0;"><strong>Date : </strong>{{ date('d/m/Y', strtotime($paymentVoucher[0]->date)) }}</p>
                            <p class="text-dark font-weight-bold" style="border-bottom: solid;border-color: black;padding: 5px;margin:0;"><strong>Payment Voucher # : </strong> {{ $paymentVoucher[0]->invoice_no }}</p>
                            <p class="text-dark font-weight-bold" style="border-bottom: solid; border-color: black; padding: 5px; margin: 0;">
                                <strong> </strong>
                                @if ($paymentVoucher[0]->payment_method == 'cash')
                                    Cash
                                @else
                                    {{ $paymentVoucher[0]->bank_name }}
                                @endif
                            </p>

                        </div>

                    </div>
                    <div class="row">
                        <div class="table-responsive mb-0 pb-0" >
                            <table class="table table-striped table-bordered dt-responsive nowrap mb-0" style="border-bottom: solid; border-left: solid; border-right: solid; border-color: black; padding: 0;">
                                <thead>
                                    <tr style="background-color: lightgray; color: black; border-color: black;">
                                        <th style="border: none">S No.</th>
                                        <th style="border: none">Account Name</th>
                                        <th style="border: none">Amount</th>
                                        @php
                                            $hasInvoiceId = false;
                                            foreach ($paymentVoucher as $rv) {
                                                foreach ($rv->expense as $expense) {
                                                    if ($expense->inovice_id) {
                                                        $hasInvoiceId = true;
                                                        break 2;
                                                    }
                                                }
                                            }
                                        @endphp
                                        @if ($hasInvoiceId)
                                            <th style="border: none">Select Invoice</th>
                                        @endif
                                    </tr>
                                </thead>
                                <tbody id="table-body">
                                    @php
                                        $totalAmount = 0;
                                        $new_vat_amount = 0;
                                        $netTotal = 0;
                                    @endphp
                                    @forelse ($paymentVoucher as $rv)
                                        @forelse ($rv->expense as $key => $expense)
                                            <tr>
                                                <td class="border border-dark">{{ $key + 1 }}</td>
                                                <td class="border border-dark">{{ $expense->account->name_of_organisation ?? $expense->account->account_name ?? $expense->account->first_name ?? '' }}</td>
                                                <td class="border border-dark">{{ number_format($expense->amount, session('branch')->currency_decimal) }}</td>
                                                @if ($hasInvoiceId)
                                                    <td class="border border-dark">
                                                        @if ($expense->inovice_id)
                                                            {{ $expense->inovice_id }}
                                                        @endif
                                                    </td>
                                                @endif
                                            </tr>
                                            @php
                                                $totalAmount += $expense->amount;
                                                $new_vat_amount += $expense->new_vat_amount;
                                                $netTotal += $expense->amount + $expense->new_vat_amount;
                                                $AccName = $expense->account->name_of_organisation ?? $expense->account->account_name ?? $expense->account->first_name ?? '';
                                            @endphp
                                        @empty
                                        @endforelse
                                    @empty
                                    @endforelse
                                </tbody>
                            </table>

                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-8 pt-2" style="border-left: solid;border-color: black;padding: 0;">
                            <p class="text-dark font-weight-bold" style="padding: 5px;margin:0"><strong>Narration: </strong>{{$paymentVoucher[0]->narration}}</p>
                        </div>
                        <div class="col-md-2" style="border-left: solid;border-color: black;padding: 0;">
                            <p class="text-dark font-weight-bold" style="border-right: solid;border-bottom: solid;border-color: black;padding: 5px;margin:0;"><strong>Gross Total </strong></p>
                            <p class="text-dark font-weight-bold" style="border-right: solid;border-bottom: solid;border-color: black;padding: 5px;margin:0;"><strong>Vat </strong></p>
                            <p class="text-dark font-weight-bold" style="border-right: solid;border-bottom: solid;border-color: black;padding: 5px;margin:0;"><strong>Net Total </strong></p>
                        </div>
                        <div class="col-md-2" style="border-right: solid;border-color: black;padding: 0;">
                            <p class="text-dark font-weight-bold" style="border-bottom: solid;border-color: black;padding: 5px;margin:0;">{{ number_format($totalAmount, session('branch')->currency_decimal) }}</p>
                            <p class="text-dark font-weight-bold" style="border-bottom: solid;border-color: black;padding: 5px;margin:0;">{{ number_format($new_vat_amount, session('branch')->currency_decimal) }}</p>
                            <p class="text-dark font-weight-bold" style="border-bottom: solid;border-color: black;padding: 5px;margin:0;">{{ number_format($netTotal, session('branch')->currency_decimal) }}</p>

                        </div>
                        <div class="col-md-8 pt-2" style="border-bottom: solid;border-left: solid;border-color: black;padding: 0;">

                        </div>
                        <div class="col-md-4 pt-2" style="border-right: solid;border-left: solid;border-color: black;padding: 0;">
                            <p class="text-dark font-weight-bold" style="border-bottom: solid;border-color: black;padding: 5px;margin:0;text-transform: capitalize"><strong>Amount in Words: </strong><span>{{ $paymentVoucher[0]->AmountInWords }}</span></p>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6 pt-2 d-flex flex-column justify-content-between" style="border-bottom: solid; border-left: solid; border-color: black; padding: 0; height: 150px;">
                            <p class="text-dark font-weight-bold" style="padding: 5px; margin: 0;"><strong>Signature & Stamp</strong></p>
                            <p class="text-dark font-weight-bold" style="padding: 5px; margin: 0;"><strong>{{$AccName}}</strong></p>
                        </div>

                        <div class="col-md-6 pt-2 d-flex flex-column justify-content-end" style="border-bottom: solid;border-right: solid;border-color: black;padding: 0;height: 150px;">
                            <p class="text-dark font-weight-bold mt-5 text-right" style="padding: 5px;margin:0"><strong>{{ $company->name }}</strong></p>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12 pt-2 d-flex flex-column justify-content-center alien-item-center" >
                            <p class="text-dark font-weight-bold text-center" style="padding: 5px; margin: 0;"><strong>Generated by Ledgematic.com</strong></p>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>
    </div> --}}
    <!-- end row -->
    <style>
        .table-bordered {
            border: solid 3px #0000009c !important;
        }

        .table-light th {
            background-color: #e4e4e4 !important;
        }

        .table th {
            vertical-align: bottom;
            border-color: black !important;
        }
        .table-bordered td{
            border-color: #000000 !important;
        }
    </style>
    <div class="row">
        <div class="col-lg-12">
            <div class="card">
                <div class="card-body">
                    <div class="invoice-title">
                        <div class="row">
                            <div class="col-6">
                            </div>
                            <div class="col-6">
                                <div class="d-print-none">
                                    <div class="float-right">
                                        <a href="javascript:window.print()"
                                            class="btn btn-success waves-effect waves-light"> Print <i
                                                class="fa fa-print"></i></a>
                                    </div>
                                </div>
                            </div>
                        </div>


                    </div>
                    <hr>
                    <div class="py-2 mt-3">
                        <h3 class="font-size-16 text-center font-weight-bold">Payment Voucher</h3>
                    </div>
                    <div class="table-responsive">
                        <table class="table table-bordered">
                            <tbody>
                                <tr>
                                    <th colspan="3" class="border-0">Company Name: {{ $company->name }}
                                    </th>
                                    <th>Date: {{ date('d/m/Y', strtotime($paymentVoucher[0]->date)) }}</th>
                                </tr>
                                <tr>
                                    <th>Payment Invoice # : {{ $paymentVoucher[0]->invoice_no }}</th>
                                </tr>
                                <tr>
                                    <th colspan="3" class="border-0">Branch Address: {{ session()->get('branch')->address }}</th>
                                    <th>
                                        @if ($paymentVoucher[0]->payment_method == 'cash')
                                            Cash
                                        @else
                                            {{ $paymentVoucher[0]->bank_name }}
                                        @endif
                                    </th>
                                </tr>
                                <tr class="table-light">
                                    <th>S No.</th>
                                    <th colspan="2">Account Name</th>
                                    <th>Amount</th>
                                    @php
                                        $hasInvoiceId = false;
                                        foreach ($paymentVoucher as $rv) {
                                            foreach ($rv->expense as $expense) {
                                                if ($expense->inovice_id) {
                                                    $hasInvoiceId = true;
                                                    break 2;
                                                }
                                            }
                                        }
                                    @endphp
                                    @if ($hasInvoiceId)
                                        <th>Select Invoice</th>
                                    @endif
                                </tr>
                                @php
                                $totalAmount = 0;
                                $new_vat_amount = 0;
                                $netTotal = 0;
                                @endphp
                                @forelse ($paymentVoucher as $rv)
                                    @forelse ($rv->expense as $key => $expense)
                                        <tr>
                                            <td>{{ $key + 1 }}</td>
                                            <td colspan="2">{{ $expense->account->name_of_organisation ?? $expense->account->account_name ?? $expense->account->first_name ?? '' }}</td>
                                            <td>{{ number_format($expense->amount, session('branch')->currency_decimal) }}</td>
                                            @if ($hasInvoiceId)
                                                <td>
                                                    @if ($expense->inovice_id)
                                                        {{ $expense->inovice_id }}
                                                    @endif
                                                </td>
                                            @endif
                                        </tr>
                                        @php
                                            $totalAmount += $expense->amount;
                                            $new_vat_amount += $expense->new_vat_amount;
                                            $netTotal += $expense->amount + $expense->new_vat_amount;
                                            $AccName = $expense->account->name_of_organisation ?? $expense->account->account_name ?? $expense->account->first_name ?? '';
                                        @endphp
                                    @empty
                                    @endforelse
                                @empty
                                @endforelse
                                <tr>
                                    <td colspan="2" rowspan="4">Narration : {{$paymentVoucher[0]->narration}}</td>
                                    <td>Gross Total</td>
                                    <td>{{ number_format($totalAmount, session('branch')->currency_decimal) }}</td>
                                </tr>
                                <tr>
                                    <td colspan="2" rowspan="2">Branch Details: {{ session()->get('branch')->payment_details }}</td>
                                    <td>Vat Total</td>
                                    <td>{{ number_format($new_vat_amount, session('branch')->currency_decimal) }}</td>
                                </tr>
                                <tr>
                                    <td>Net Total</td>
                                    <td>{{ number_format($netTotal, session('branch')->currency_decimal) }}</td>
                                </tr>
                                <tr>
                                    <td colspan="2">Amount in Words: {{ $paymentVoucher[0]->AmountInWords }}</td>
                                </tr>
                                <tr>
                                    <td colspan="4" class="border-0">Signature & Stamp</td>
                                </tr>
                                <tr>
                                    <td colspan="2" rowspan="3" class="border-0">{{ $AccName }}</td>
                                    <td colspan="2" rowspan="2" class="text-right border-0">{{ $company->name }}</td>
                                </tr>
                            </tbody>
                        </table>

                        <div class="py-2 mt-3">
                            <h3 class="font-size-15 text-center font-weight-bold">Generated by
                                Ledgematic.com</h3>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>

    <script>
        function printPageArea(areaID) {
            var printContent = document.getElementById(areaID).innerHTML;
            var originalContent = document.body.innerHTML;
            document.body.innerHTML = printContent;
            window.print();
            document.body.innerHTML = originalContent;
        }
    </script>

    <script>
        document.addEventListener("DOMContentLoaded", function() {
            // Initialize total amount
            let totalAmount = 0;
            let grandAmount = 0;

            // Extract receipt voucher data from Blade's inline PHP
            const paymentVoucher = @json($paymentVoucher);

            // Loop through receipt voucher expenses to calculate total amount
            paymentVoucher.forEach(function(rv) {
                rv.expense.forEach(function(expense) {
                    const amount = parseFloat(expense.amount);
                    const expenseAmount = parseFloat(expense.expense_amount);
                    grandAmount += amount;
                    totalAmount += amount;
                    totalAmount += expenseAmount;
                });
            });

            // Update the grand total element with the calculated total amount
            document.getElementById("grand-total").textContent = grandAmount.toFixed(2);

            // Convert total net amount to words and update the corresponding field
            var totalNetAmountWords = numberToWords(totalAmount.toFixed(
                {{ session()->get('branch')->currency_decimal }}));
            $('#total_net_amount_words').text(totalNetAmountWords);
        });
    </script>

@endsection
