@extends('layouts.superadmin')
@section('content')
<div class="page-content">

    <!-- start page title -->
    <div class="row">
        <div class="col-12">
            <div class="page-title-box d-flex align-items-center justify-content-between">
                <h4 class="page-title mb-0 font-size-18">Dashboard</h4>

                <div class="page-title-right">
                    <ol class="breadcrumb m-0">
                        <h4 class="page-title mb-0 font-size-18">Powered By Ledgematic</h4>
                    </ol>
                </div>

            </div>
        </div>
    </div>
    <!-- end page title -->

    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-2">
                            <h6 class="card-title mb-4 titlcust">Edit Company</h6>
                        </div>
                    </div>
                    <!-- <div class="col-4"> -->
                        <form action="{{url("company/update/$company->id")}}" class="outer-repeater" method="POST">
                            @csrf
                            <div class="row">
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label>Client Email</label>
                                        <select class="form-control select2" name="user_id">
                                            <option>Select Client Email</option>
                                            @foreach ($clients as $client)
                                                <option value="{{$client->id}}" @if($client->id == $company->user_id){{'selected'}}@endif>{{$client->email}}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                </div>

                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label>Company Name</label>
                                        <input class="form-control" type="text" name="name" value="{{$company->name}}"
                                            placeholder="Enter Company Name" id="example-password-input">
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label>Company Email</label>
                                        <input class="form-control" type="email" name="email" value="{{$company->email}}"
                                            placeholder="Enter Email Address" id="example-email-input">
                                    </div>
                                </div>


                                <div class="col-md-4">
                                <div class="form-group">
                                    <label for="country">Select Country</label>
                                    <select class="form-control select2" name="country" id="country">
                                        @if(count($countries) > 0)
                                            <option value="" @if(empty($company->country)) selected @endif>Select Country</option>
                                            <option value="Afghanistan" @if($company->country == 'Afghanistan') selected @endif>Afghanistan</option>
                                            <option value="Albania" @if($company->country == 'Albania') selected @endif>Albania</option>
                                            <option value="Algeria" @if($company->country == 'Algeria') selected @endif>Algeria</option>
                                            <option value="Andorra" @if($company->country == 'Andorra') selected @endif>Andorra</option>
                                            <option value="Angola" @if($company->country == 'Angola') selected @endif>Angola</option>
                                            <option value="Antigua and Barbuda" @if($company->country == 'Antigua and Barbuda') selected @endif>Antigua and Barbuda</option>
                                            <option value="Argentina" @if($company->country == 'Argentina') selected @endif>Argentina</option>
                                            <option value="Armenia" @if($company->country == 'Armenia') selected @endif>Armenia</option>
                                            <option value="Australia" @if($company->country == 'Australia') selected @endif>Australia</option>
                                            <option value="Austria" @if($company->country == 'Austria') selected @endif>Austria</option>
                                            <option value="Azerbaijan" @if($company->country == 'Azerbaijan') selected @endif>Azerbaijan</option>
                                            <option value="Bahamas" @if($company->country == 'Bahamas') selected @endif>Bahamas</option>
                                            <option value="Bahrain" @if($company->country == 'Bahrain') selected @endif>Bahrain</option>
                                            <option value="Bangladesh" @if($company->country == 'Bangladesh') selected @endif>Bangladesh</option>
                                            <option value="Barbados" @if($company->country == 'Barbados') selected @endif>Barbados</option>
                                            <option value="Belarus" @if($company->country == 'Belarus') selected @endif>Belarus</option>
                                            <option value="Belgium" @if($company->country == 'Belgium') selected @endif>Belgium</option>
                                            <option value="Belize" @if($company->country == 'Belize') selected @endif>Belize</option>
                                            <option value="Benin" @if($company->country == 'Benin') selected @endif>Benin</option>
                                            <option value="Bhutan" @if($company->country == 'Bhutan') selected @endif>Bhutan</option>
                                            <option value="Bolivia" @if($company->country == 'Bolivia') selected @endif>Bolivia</option>
                                            <option value="Bosnia and Herzegovina" @if($company->country == 'Bosnia and Herzegovina') selected @endif>Bosnia and Herzegovina</option>
                                            <option value="Botswana" @if($company->country == 'Botswana') selected @endif>Botswana</option>
                                            <option value="Brazil" @if($company->country == 'Brazil') selected @endif>Brazil</option>
                                            <option value="Brunei" @if($company->country == 'Brunei') selected @endif>Brunei</option>
                                            <option value="Bulgaria" @if($company->country == 'Bulgaria') selected @endif>Bulgaria</option>
                                            <option value="Burkina Faso" @if($company->country == 'Burkina Faso') selected @endif>Burkina Faso</option>
                                            <option value="Burundi" @if($company->country == 'Burundi') selected @endif>Burundi</option>
                                            <option value="Cambodia" @if($company->country == 'Cambodia') selected @endif>Cambodia</option>
                                            <option value="Cameroon" @if($company->country == 'Cameroon') selected @endif>Cameroon</option>
                                            <option value="Canada" @if($company->country == 'Canada') selected @endif>Canada</option>
                                            <option value="Cape Verde" @if($company->country == 'Cape Verde') selected @endif>Cape Verde</option>
                                            <option value="Central African Republic" @if($company->country == 'Central African Republic') selected @endif>Central African Republic</option>
                                            <option value="Chad" @if($company->country == 'Chad') selected @endif>Chad</option>
                                            <option value="Chile" @if($company->country == 'Chile') selected @endif>Chile</option>
                                            <option value="China" @if($company->country == 'China') selected @endif>China</option>
                                            <option value="Colombia" @if($company->country == 'Colombia') selected @endif>Colombia</option>
                                            <option value="Comoros" @if($company->country == 'Comoros') selected @endif>Comoros</option>
                                            <option value="Congo" @if($company->country == 'Congo') selected @endif>Congo</option>
                                            <option value="Costa Rica" @if($company->country == 'Costa Rica') selected @endif>Costa Rica</option>
                                            <option value="Croatia" @if($company->country == 'Croatia') selected @endif>Croatia</option>
                                            <option value="Cuba" @if($company->country == 'Cuba') selected @endif>Cuba</option>
                                            <option value="Cyprus" @if($company->country == 'Cyprus') selected @endif>Cyprus</option>
                                            <option value="Czech Republic" @if($company->country == 'Czech Republic') selected @endif>Czech Republic</option>
                                            <option value="Democratic Republic of the Congo" @if($company->country == 'Democratic Republic of the Congo') selected @endif>Democratic Republic of the Congo</option>
                                            <option value="Denmark" @if($company->country == 'Denmark') selected @endif>Denmark</option>
                                            <option value="Djibouti" @if($company->country == 'Djibouti') selected @endif>Djibouti</option>
                                            <option value="Dominica" @if($company->country == 'Dominica') selected @endif>Dominica</option>
                                            <option value="Dominican Republic" @if($company->country == 'Dominican Republic') selected @endif>Dominican Republic</option>
                                            <option value="East Timor" @if($company->country == 'East Timor') selected @endif>East Timor</option>
                                            <option value="Ecuador" @if($company->country == 'Ecuador') selected @endif>Ecuador</option>
                                            <option value="Egypt" @if($company->country == 'Egypt') selected @endif>Egypt</option>
                                            <option value="El Salvador" @if($company->country == 'El Salvador') selected @endif>El Salvador</option>
                                            <option value="Equatorial Guinea" @if($company->country == 'Equatorial Guinea') selected @endif>Equatorial Guinea</option>
                                            <option value="Eritrea" @if($company->country == 'Eritrea') selected @endif>Eritrea</option>
                                            <option value="Estonia" @if($company->country == 'Estonia') selected @endif>Estonia</option>
                                            <option value="Eswatini" @if($company->country == 'Eswatini') selected @endif>Eswatini</option>
                                            <option value="Ethiopia" @if($company->country == 'Ethiopia') selected @endif>Ethiopia</option>
                                            <option value="Fiji" @if($company->country == 'Fiji') selected @endif>Fiji</option>
                                            <option value="Finland" @if($company->country == 'Finland') selected @endif>Finland</option>
                                            <option value="France" @if($company->country == 'France') selected @endif>France</option>
                                            <option value="Gabon" @if($company->country == 'Gabon') selected @endif>Gabon</option>
                                            <option value="Gambia" @if($company->country == 'Gambia') selected @endif>Gambia</option>
                                            <option value="Georgia" @if($company->country == 'Georgia') selected @endif>Georgia</option>
                                            <option value="Germany" @if($company->country == 'Germany') selected @endif>Germany</option>
                                            <option value="Ghana" @if($company->country == 'Ghana') selected @endif>Ghana</option>
                                            <option value="Greece" @if($company->country == 'Greece') selected @endif>Greece</option>
                                            <option value="Grenada" @if($company->country == 'Grenada') selected @endif>Grenada</option>
                                            <option value="Guatemala" @if($company->country == 'Guatemala') selected @endif>Guatemala</option>
                                            <option value="Guinea" @if($company->country == 'Guinea') selected @endif>Guinea</option>
                                            <option value="Guinea-Bissau" @if($company->country == 'Guinea-Bissau') selected @endif>Guinea-Bissau</option>
                                            <option value="Guyana" @if($company->country == 'Guyana') selected @endif>Guyana</option>
                                            <option value="Haiti" @if($company->country == 'Haiti') selected @endif>Haiti</option>
                                            <option value="Honduras" @if($company->country == 'Honduras') selected @endif>Honduras</option>
                                            <option value="Hungary" @if($company->country == 'Hungary') selected @endif>Hungary</option>
                                            <option value="Iceland" @if($company->country == 'Iceland') selected @endif>Iceland</option>
                                            <option value="India" @if($company->country == 'India') selected @endif>India</option>
                                            <option value="Indonesia" @if($company->country == 'Indonesia') selected @endif>Indonesia</option>
                                            <option value="Iran" @if($company->country == 'Iran') selected @endif>Iran</option>
                                            <option value="Iraq" @if($company->country == 'Iraq') selected @endif>Iraq</option>
                                            <option value="Ireland" @if($company->country == 'Ireland') selected @endif>Ireland</option>
                                            <option value="Israel" @if($company->country == 'Israel') selected @endif>Israel</option>
                                            <option value="Italy" @if($company->country == 'Italy') selected @endif>Italy</option>
                                            <option value="Ivory Coast" @if($company->country == 'Ivory Coast') selected @endif>Ivory Coast</option>
                                            <option value="Jamaica" @if($company->country == 'Jamaica') selected @endif>Jamaica</option>
                                            <option value="Japan" @if($company->country == 'Japan') selected @endif>Japan</option>
                                            <option value="Jordan" @if($company->country == 'Jordan') selected @endif>Jordan</option>
                                            <option value="Kazakhstan" @if($company->country == 'Kazakhstan') selected @endif>Kazakhstan</option>
                                            <option value="Kenya" @if($company->country == 'Kenya') selected @endif>Kenya</option>
                                            <option value="Kiribati" @if($company->country == 'Kiribati') selected @endif>Kiribati</option>
                                            <option value="Kuwait" @if($company->country == 'Kuwait') selected @endif>Kuwait</option>
                                            <option value="Kyrgyzstan" @if($company->country == 'Kyrgyzstan') selected @endif>Kyrgyzstan</option>
                                            <option value="Laos" @if($company->country == 'Laos') selected @endif>Laos</option>
                                            <option value="Latvia" @if($company->country == 'Latvia') selected @endif>Latvia</option>
                                            <option value="Lebanon" @if($company->country == 'Lebanon') selected @endif>Lebanon</option>
                                            <option value="Lesotho" @if($company->country == 'Lesotho') selected @endif>Lesotho</option>
                                            <option value="Liberia" @if($company->country == 'Liberia') selected @endif>Liberia</option>
                                            <option value="Libya" @if($company->country == 'Libya') selected @endif>Libya</option>
                                            <option value="Liechtenstein" @if($company->country == 'Liechtenstein') selected @endif>Liechtenstein</option>
                                            <option value="Lithuania" @if($company->country == 'Lithuania') selected @endif>Lithuania</option>
                                            <option value="Luxembourg" @if($company->country == 'Luxembourg') selected @endif>Luxembourg</option>
                                            <option value="Madagascar" @if($company->country == 'Madagascar') selected @endif>Madagascar</option>
                                            <option value="Malawi" @if($company->country == 'Malawi') selected @endif>Malawi</option>
                                            <option value="Malaysia" @if($company->country == 'Malaysia') selected @endif>Malaysia</option>
                                            <option value="Maldives" @if($company->country == 'Maldives') selected @endif>Maldives</option>
                                            <option value="Mali" @if($company->country == 'Mali') selected @endif>Mali</option>
                                            <option value="Malta" @if($company->country == 'Malta') selected @endif>Malta</option>
                                            <option value="Marshall Islands" @if($company->country == 'Marshall Islands') selected @endif>Marshall Islands</option>
                                            <option value="Mauritania" @if($company->country == 'Mauritania') selected @endif>Mauritania</option>
                                            <option value="Mauritius" @if($company->country == 'Mauritius') selected @endif>Mauritius</option>
                                            <option value="Mexico" @if($company->country == 'Mexico') selected @endif>Mexico</option>
                                            <option value="Micronesia" @if($company->country == 'Micronesia') selected @endif>Micronesia</option>
                                            <option value="Moldova" @if($company->country == 'Moldova') selected @endif>Moldova</option>
                                            <option value="Monaco" @if($company->country == 'Monaco') selected @endif>Monaco</option>
                                            <option value="Mongolia" @if($company->country == 'Mongolia') selected @endif>Mongolia</option>
                                            <option value="Montenegro" @if($company->country == 'Montenegro') selected @endif>Montenegro</option>
                                            <option value="Morocco" @if($company->country == 'Morocco') selected @endif>Morocco</option>
                                            <option value="Mozambique" @if($company->country == 'Mozambique') selected @endif>Mozambique</option>
                                            <option value="Myanmar (Burma)" @if($company->country == 'Myanmar (Burma)') selected @endif>Myanmar (Burma)</option>
                                            <option value="Namibia" @if($company->country == 'Namibia') selected @endif>Namibia</option>
                                            <option value="Nauru" @if($company->country == 'Nauru') selected @endif>Nauru</option>
                                            <option value="Nepal" @if($company->country == 'Nepal') selected @endif>Nepal</option>
                                            <option value="Netherlands" @if($company->country == 'Netherlands') selected @endif>Netherlands</option>
                                            <option value="New Zealand" @if($company->country == 'New Zealand') selected @endif>New Zealand</option>
                                            <option value="Nicaragua" @if($company->country == 'Nicaragua') selected @endif>Nicaragua</option>
                                            <option value="Niger" @if($company->country == 'Niger') selected @endif>Niger</option>
                                            <option value="Nigeria" @if($company->country == 'Nigeria') selected @endif>Nigeria</option>
                                            <option value="North Korea" @if($company->country == 'North Korea') selected @endif>North Korea</option>
                                            <option value="North Macedonia" @if($company->country == 'North Macedonia') selected @endif>North Macedonia</option>
                                            <option value="Norway" @if($company->country == 'Norway') selected @endif>Norway</option>
                                            <option value="Oman" @if($company->country == 'Oman') selected @endif>Oman</option>
                                            <option value="Pakistan" @if($company->country == 'Pakistan') selected @endif>Pakistan</option>
                                            <option value="Palau" @if($company->country == 'Palau') selected @endif>Palau</option>
                                            <option value="Palestine State" @if($company->country == 'Palestine State') selected @endif>Palestine State</option>
                                            <option value="Panama" @if($company->country == 'Panama') selected @endif>Panama</option>
                                            <option value="Papua New Guinea" @if($company->country == 'Papua New Guinea') selected @endif>Papua New Guinea</option>
                                            <option value="Paraguay" @if($company->country == 'Paraguay') selected @endif>Paraguay</option>
                                            <option value="Peru" @if($company->country == 'Peru') selected @endif>Peru</option>
                                            <option value="Philippines" @if($company->country == 'Philippines') selected @endif>Philippines</option>
                                            <option value="Poland" @if($company->country == 'Poland') selected @endif>Poland</option>
                                            <option value="Portugal" @if($company->country == 'Portugal') selected @endif>Portugal</option>
                                            <option value="Qatar" @if($company->country == 'Qatar') selected @endif>Qatar</option>
                                            <option value="Romania" @if($company->country == 'Romania') selected @endif>Romania</option>
                                            <option value="Russia" @if($company->country == 'Russia') selected @endif>Russia</option>
                                            <option value="Rwanda" @if($company->country == 'Rwanda') selected @endif>Rwanda</option>
                                            <option value="Saint Kitts and Nevis" @if($company->country == 'Saint Kitts and Nevis') selected @endif>Saint Kitts and Nevis</option>
                                            <option value="Saint Lucia" @if($company->country == 'Saint Lucia') selected @endif>Saint Lucia</option>
                                            <option value="Saint Vincent and the Grenadines" @if($company->country == 'Saint Vincent and the Grenadines') selected @endif>Saint Vincent and the Grenadines</option>
                                            <option value="Samoa" @if($company->country == 'Samoa') selected @endif>Samoa</option>
                                            <option value="San Marino" @if($company->country == 'San Marino') selected @endif>San Marino</option>
                                            <option value="Sao Tome and Principe" @if($company->country == 'Sao Tome and Principe') selected @endif>Sao Tome and Principe</option>
                                            <option value="Saudi Arabia" @if($company->country == 'Saudi Arabia') selected @endif>Saudi Arabia</option>
                                            <option value="Senegal" @if($company->country == 'Senegal') selected @endif>Senegal</option>
                                            <option value="Serbia" @if($company->country == 'Serbia') selected @endif>Serbia</option>
                                            <option value="Seychelles" @if($company->country == 'Seychelles') selected @endif>Seychelles</option>
                                            <option value="Sierra Leone" @if($company->country == 'Sierra Leone') selected @endif>Sierra Leone</option>
                                            <option value="Singapore" @if($company->country == 'Singapore') selected @endif>Singapore</option>
                                            <option value="Slovakia" @if($company->country == 'Slovakia') selected @endif>Slovakia</option>
                                            <option value="Slovenia" @if($company->country == 'Slovenia') selected @endif>Slovenia</option>
                                            <option value="Solomon Islands" @if($company->country == 'Solomon Islands') selected @endif>Solomon Islands</option>
                                            <option value="Somalia" @if($company->country == 'Somalia') selected @endif>Somalia</option>
                                            <option value="South Africa" @if($company->country == 'South Africa') selected @endif>South Africa</option>
                                            <option value="South Korea" @if($company->country == 'South Korea') selected @endif>South Korea</option>
                                            <option value="South Sudan" @if($company->country == 'South Sudan') selected @endif>South Sudan</option>
                                            <option value="Spain" @if($company->country == 'Spain') selected @endif>Spain</option>
                                            <option value="Sri Lanka" @if($company->country == 'Sri Lanka') selected @endif>Sri Lanka</option>
                                            <option value="Sudan" @if($company->country == 'Sudan') selected @endif>Sudan</option>
                                            <option value="Suriname" @if($company->country == 'Suriname') selected @endif>Suriname</option>
                                            <option value="Sweden" @if($company->country == 'Sweden') selected @endif>Sweden</option>
                                            <option value="Switzerland" @if($company->country == 'Switzerland') selected @endif>Switzerland</option>
                                            <option value="Syria" @if($company->country == 'Syria') selected @endif>Syria</option>
                                            <option value="Taiwan" @if($company->country == 'Taiwan') selected @endif>Taiwan</option>
                                            <option value="Tajikistan" @if($company->country == 'Tajikistan') selected @endif>Tajikistan</option>
                                            <option value="Tanzania" @if($company->country == 'Tanzania') selected @endif>Tanzania</option>
                                            <option value="Thailand" @if($company->country == 'Thailand') selected @endif>Thailand</option>
                                            <option value="Togo" @if($company->country == 'Togo') selected @endif>Togo</option>
                                            <option value="Tonga" @if($company->country == 'Tonga') selected @endif>Tonga</option>
                                            <option value="Trinidad and Tobago" @if($company->country == 'Trinidad and Tobago') selected @endif>Trinidad and Tobago</option>
                                            <option value="Tunisia" @if($company->country == 'Tunisia') selected @endif>Tunisia</option>
                                            <option value="Turkey" @if($company->country == 'Turkey') selected @endif>Turkey</option>
                                            <option value="Turkmenistan" @if($company->country == 'Turkmenistan') selected @endif>Turkmenistan</option>
                                            <option value="Tuvalu" @if($company->country == 'Tuvalu') selected @endif>Tuvalu</option>
                                            <option value="Uganda" @if($company->country == 'Uganda') selected @endif>Uganda</option>
                                            <option value="Ukraine" @if($company->country == 'Ukraine') selected @endif>Ukraine</option>
                                            <option value="United Arab Emirates" @if($company->country == 'United Arab Emirates') selected @endif>United Arab Emirates</option>
                                            <option value="United Kingdom" @if($company->country == 'United Kingdom') selected @endif>United Kingdom</option>
                                            <option value="United States of America" @if($company->country == 'United States of America') selected @endif>United States of America</option>
                                            <option value="Uruguay" @if($company->country == 'Uruguay') selected @endif>Uruguay</option>
                                            <option value="Uzbekistan" @if($company->country == 'Uzbekistan') selected @endif>Uzbekistan</option>
                                            <option value="Vanuatu" @if($company->country == 'Vanuatu') selected @endif>Vanuatu</option>
                                            <option value="Vatican City" @if($company->country == 'Vatican City') selected @endif>Vatican City</option>
                                            <option value="Venezuela" @if($company->country == 'Venezuela') selected @endif>Venezuela</option>
                                            <option value="Vietnam" @if($company->country == 'Vietnam') selected @endif>Vietnam</option>
                                            <option value="Yemen" @if($company->country == 'Yemen') selected @endif>Yemen</option>
                                            <option value="Zambia" @if($company->country == 'Zambia') selected @endif>Zambia</option>
                                            <option value="Zimbabwe" @if($company->country == 'Zimbabwe') selected @endif>Zimbabwe</option>
                                        @else
                                            <option value="" selected disabled>Select Country</option>
                                        @endif
                                    </select>

                                </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label>CR Number</label>
                                        <input class="form-control" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');" name="cr_number" value="{{$company->cr_number}}"
                                            placeholder="Enter CR Number" id="example-password-input">
                                    </div>
                                </div> <div class="col-md-4">
                                    <div class="form-group">
                                        <label>VAT</label>
                                        <input class="form-control" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');" name="vat_number" value="{{$company->vat_number}}"
                                            placeholder="Enter VAT Number" id="example-password-input">
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label>TRN</label>
                                        <input class="form-control" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');" name="trn_number" value="{{$company->trn_number}}"
                                            placeholder="Enter TRN Number" id="example-password-input">
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label>TIN</label>
                                        <input class="form-control" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');" name="tin_number" value="{{$company->tin_number}}"
                                            placeholder="Enter TIN Number" id="example-password-input">
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label>Company Address</label>
                                        <textarea class="form-control" rows="1" name="address">{{$company->address}}</textarea>
                                    </div>
                                </div>
                            </div>

                            <button class="btn btn-cust1 float-right" type="submit">Submit</button>

                            <!-- <div class="col-md-4">
                                    <div class="form-group">
                                        <label>System Expiry Date</label>
                                        <div class="col-md-10">
                                            <input class="form-control" type="date"
                                            placeholder="Enter Leniency Time" id="example-number-input">
                               </div>
                                    </div>
                                </div> -->







                        </form>

                </div>
            </div>
        </div>
    </div>
</div>
@endsection
