@extends('layouts.superadmin')
@section('content')
    <div class="page-content">

        <!-- start page title -->
        <div class="row">
            <div class="col-12">
                <div class="page-title-box d-flex align-items-center justify-content-between">
                    <h4 class="page-title mb-0 font-size-18">Dashboard</h4>

                    <div class="page-title-right">
                        <ol class="breadcrumb m-0">
                            <h4 class="page-title mb-0 font-size-18">Powered By Ledgematic</h4>
                        </ol>
                    </div>

                </div>
            </div>
        </div>
        <!-- end page title -->

        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-2">
                                <h6 class="card-title mb-4 titlcust">Login Image</h6>
                            </div>
                            <!-- <div class="col-md-10">
                                <button class="btn btn-primary" type="submit">View All Clients</button>
                            </div> -->
                        </div>
                        <!-- <div class="col-4"> -->
                        <form method="POST" action="{{ route('store_image_login') }}" class="outer-repeater" enctype="multipart/form-data">
                            @csrf
                            <div class="row">
                                <div class="col-md-4">
                                    <!-- <button class="btn btn-cust1 " type="file">Select File</button> -->
                                    <input class="form-control" name="login_image" id="image1" type="file" id="formFile">
                                    <br><br>
                                    <div class="align-item-center"> </div>
                                    <center><button class="btn btn-cust1 align-item-center" type="submit">Submit</button>
                                    </center>
                                </div>

                                <div class="col-md-8">
                                    <img class="img-thumbnail" id="preview-image-before-upload1" alt="200x200"
                                        width="80%" src="{{ asset('public/' . $loginImage->path) }}" data-holder-rendered="true">
                                </div>

                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-12">
                                <h6 class="card-title mb-4 titlcust">Client DashBoard Marketing</h6>
                            </div>
                            <!-- <div class="col-md-10">
                                <button class="btn btn-primary" type="submit">View All Clients</button>
                            </div> -->
                        </div>

                        <form method="POST" action="{{ url('store_image_dashboard') }}" class="outer-repeater" enctype="multipart/form-data">
@csrf
                            <div class="row">
                                <div class="col-md-4">
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <label>Content</label>
                                            <input class="form-control" type="text" placeholder="Enter Content" name="content"
                                               value="@if(isset($dashboardImage)){{ $dashboardImage->content }} @endif" id="example-password-input">
                                        </div>
                                    </div> <!-- <button class="btn btn-cust1 " type="file">Select File</button> -->
                                    <input class="form-control" name="dashboard_image" id="image2" type="file" id="formFile">
                                    <br><br>
                                    <div class="align-item-center"> </div>
                                    <center><button class="btn btn-cust1 align-item-center" type="submit">Submit</button>
                                    </center>
                                </div>

                                <div class="col-md-8">

                                    <img class="img-thumbnail" id="preview-image-before-upload2" alt="200x200"
                                        width="80%" src="{{ asset('public/' . $dashboardImage->path) }} " data-holder-rendered="true">

                                </div>
                            </div>
                        </form>

                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- end row -->


    <script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>

    <script type="text/javascript">
        $(document).ready(function(e) {


            $('#image1').change(function() {

                let reader = new FileReader();

                reader.onload = (e) => {

                    $('#preview-image-before-upload1').attr('src', e.target.result);
                }

                reader.readAsDataURL(this.files[0]);

            });

        });
    </script>

    <script type="text/javascript">
        $(document).ready(function(e) {


            $('#image2').change(function() {

                let reader = new FileReader();

                reader.onload = (e) => {

                    $('#preview-image-before-upload2').attr('src', e.target.result);
                }

                reader.readAsDataURL(this.files[0]);

            });

        });
    </script>


    <!-- End Page-content -->
@endsection
