@extends('layouts.superadmin')
@section('content')
    <div class="page-content">

        <!-- start page title -->
        <div class="row">
            <div class="col-12">
                <div class="page-title-box d-flex align-items-center justify-content-between">
                    <h4 class="page-title mb-0 font-size-18">Dashboard</h4>

                    <div class="page-title-right">
                        <ol class="breadcrumb m-0">
                            <h4 class="page-title mb-0 font-size-18">Powered By Ledgematic</h4>
                        </ol>
                    </div>

                </div>
            </div>
        </div>
        <!-- end page title -->

        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-body">

                        <form method="POST" action="{{ route('superadmin_terms.update') }}">
                            @csrf

                            <div class="row">
                                <div class="col-md-6">
                                    <h6 class="card-title mb-4 titlcust">Terms & Conditions / Super Admin</h6>
                                </div>
                                <div class="col-md-6">
                                    <a href="">
                                        <button class="btn btn-outline-primary float-right cust-btn1" type="submit">Edit
                                            Term & Conditions
                                        </button>
                                    </a>
                                    <a href="">
                                        <button class="btn btn-outline-primary float-right" type="submit">Back
                                        </button>
                                    </a>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-12">
                                    <div class="card-body">
                                        <h4 class="card-title">Terms & Conditions</h4>
                                        <!-- <p class="card-title-desc">Super simple wysiwyg editor on bootstrap</p> -->

                                        <div class="summernote">
                                            <textarea class="form-control" name="description" id="" cols="30" rows="10">{{ $terms->terms_conditions }}</textarea>
                                            {{-- <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Eaque
                                                nobis omnis, cupiditate laudantium sint pariatur unde ut quaerat
                                                aspernatur blanditiis accusantium nemo libero nisi,
                                                reprehenderit commodi assumenda sit animi deserunt?</p>
                                            <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Eaque
                                                nobis omnis, cupiditate laudantium sint pariatur unde ut quaerat
                                                aspernatur blanditiis accusantium nemo libero nisi,
                                                reprehenderit commodi assumenda sit animi deserunt?</p> --}}
                                        </div>
                                    </div>
                                </div>
                                <!-- end col -->
                            </div>
                            <!-- end row -->

                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- End Page-content -->
@endsection
