<?php $__env->startSection('content'); ?>


    
    <!-- end row -->
    <style>
        .table-bordered {
            border: solid 3px #0000009c !important;
        }

        .table-light th {
            background-color: #e4e4e4 !important;
        }

        .table th {
            vertical-align: bottom;
            border-color: black !important;
        }
        .table-bordered td{
            border-color: #000000 !important;
        }
    </style>
    <div class="row">
        <div class="col-lg-12">
            <div class="card">
                <div class="card-body">
                    <div class="invoice-title">
                        <div class="row">
                            <div class="col-6">
                            </div>
                            <div class="col-6">
                                <div class="d-print-none">
                                    <div class="float-right">
                                        <a href="javascript:window.print()"
                                            class="btn btn-success waves-effect waves-light"> Print <i
                                                class="fa fa-print"></i></a>
                                    </div>
                                </div>
                            </div>
                        </div>


                    </div>
                    <hr>
                    <div class="py-2 mt-3">
                        <h3 class="font-size-16 text-center font-weight-bold">Purchase Invoice</h3>
                    </div>
                    <div class="table-responsive">
                        <table class="table table-bordered">
                            <tbody>
                                <tr>
                                    <th colspan="8" class="border-0">Company Name: <?php echo e($company->name); ?>

                                    </th>
                                    <th colspan="2">Date: <?php echo e(date('d/m/Y', strtotime($purchaseInvoice[0]->date))); ?></th>
                                </tr>
                                <tr>
                                    <th colspan="2">Purchase Invoice # : <?php echo e($purchaseInvoice[0]->invoice_no); ?></th>
                                </tr>
                                <tr>
                                    <th colspan="8" class="border-0">Branch Address: <?php echo e(session()->get('branch')->address); ?></th>
                                    <th colspan="2">Mode/Term of Payment : <?php echo e($purchaseInvoice[0]->term_of_payment); ?></th>
                                </tr>
                                <tr>
                                    <th colspan="2">LPO Number(Supplier) : <?php echo e($purchaseInvoice[0]->lpo_no); ?></th>
                                </tr>
                                <tr>
                                    <th colspan="2">Purchase Order Number : <?php echo e($purchaseInvoice[0]->po_no ?? ''); ?></th>
                                </tr>
                                <tr>
                                    <th colspan="2">Invoice(Due Dates) : <?php echo e($purchaseInvoice[0]->lpo_days); ?></th>
                                </tr>
                                <tr><th colspan="6" class="border-0"><strong>Client:</strong></th></tr>
                                <tr><th colspan="6" class="border-0">Account Name : <?php echo e($purchaseInvoice[0]->account->name_of_organisation ?? ($purchaseInvoice[0]->account->account_name ?? $purchaseInvoice[0]->account->first_name . ' ' . $purchaseInvoice[0]->account->last_name)); ?></th></tr>
                                <tr><th colspan="6" class="border-0">Email : <?php echo e($purchaseInvoice[0]->account->email ?? 'No Record Found'); ?></th></tr>
                                <tr><th colspan="6" class="border-0">Contact Person Name : <?php echo e($purchaseInvoice[0]->account->contact_person_name ?? 'No Record Found'); ?></th></tr>
                                <tr><th colspan="6" class="border-0">Contact Number : <?php echo e($purchaseInvoice[0]->account->mobile ?? 'No Record Found'); ?></th></tr>
                                <tr><th colspan="6" class="border-0">VAT Number : <?php echo e($purchaseInvoice[0]->account->vat_number ?? 'No Record Found'); ?></th></tr>
                                <tr class="table-light">
                                    <th>S No.</th>
                                    
                                    <th>Item Description</th>
                                    <th>Quantity</th>
                                    <th>Rate/Unit</th>
                                    <th>Gross Amount</th>
                                    <th>VAT %</th>
                                    <th>VAT Amount</th>
                                    <th>Net Amount</th>
                                    <th>C&F</th>
                                </tr>
                                <?php $__currentLoopData = $purchaseInvoice; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$pr): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td><?php echo e($key + 1); ?></td>
                                    
                                    <td><?php echo e($pr->item_description); ?></td>
                                    <td><?php echo e($pr->quantity); ?></td>
                                    <td><?php echo e(number_format($pr->rate_unit, session('branch')->currency_decimal)); ?></td>
                                    <td><?php echo e(number_format($pr->gross_amount, session('branch')->currency_decimal)); ?></td>
                                    <td><?php echo e($pr->vat_percentage); ?></td>
                                    <td><?php echo e(number_format($pr->vat_amount, session('branch')->currency_decimal)); ?></td>
                                    <td><?php echo e(number_format($pr->net_amount, session('branch')->currency_decimal)); ?></td>
                                    <td><?php echo e($pr->c_f); ?></td>
                                </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td colspan="8" rowspan="5">Terms and Condition : <?php echo e($tnc->description ?? ''); ?></td>
                                    <td>Quantity Total</td>
                                    <td><?php echo e($purchaseInvoice[0]->total_quantity); ?></td>
                                </tr>
                                <tr>
                                    <td colspan="8" rowspan="5">Branch Details: <?php echo e(session()->get('branch')->payment_details); ?></td>
                                    <td>Gross Total</td>
                                    <td><?php echo e(number_format($purchaseInvoice[0]->total_gross_amount, session('branch')->currency_decimal)); ?></td>
                                </tr>
                                <tr>
                                    <td>Vat Total</td>
                                    <td><?php echo e(number_format($purchaseInvoice[0]->total_vat_amount, session('branch')->currency_decimal)); ?></td>
                                </tr>
                                <tr>
                                    <td>Net Total</td>
                                    <td><?php echo e(number_format($purchaseInvoice[0]->total_net_amount, session('branch')->currency_decimal)); ?></td>
                                </tr>
                                <tr>
                                    <td>Additional Vat Amount</td>
                                    <td><?php echo e(number_format($purchaseInvoice[0]->new_vat_amount, session('branch')->currency_decimal)); ?></td>
                                </tr>
                                <tr>
                                    <td>Discount Amount</td>
                                    <td><?php echo e(number_format($purchaseInvoice[0]->discount_amount, session('branch')->currency_decimal)); ?></td>
                                </tr>

                                <?php $__empty_1 = true; $__currentLoopData = $purchaseInvoice[0]->expenses; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $expense): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                    <tr>
                                        <td><?php echo e($expense->account_name); ?></td>
                                        <td><?php echo e(number_format($expense->expense_amount, session('branch')->currency_decimal)); ?></td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>

                                <?php endif; ?>
                                <!-- <tr>
                                    <td>Total Purchase Amount with c & f</td>
                                    <td><?php echo e(number_format($purchaseInvoice[0]->total_purchase_amount_with_cf	, session('branch')->currency_decimal)); ?></td>
                                </tr> -->
                                <tr>
                                    <td colspan="2">Amount in Words: <?php echo e($purchaseInvoice[0]->AmountInWords); ?></td>
                                </tr>
                                <tr>
                                    <td colspan="10" class="border-0">Narration : <?php echo e($purchaseInvoice[0]->narration); ?></td>
                                </tr>
                                <tr>
                                    <td colspan="10" class="border-0">Signature & Stamp</td>
                                </tr>
                                <tr>
                                    <td colspan="5" rowspan="3" class="border-0"><?php echo e($purchaseInvoice[0]->account->name_of_organisation ?? ($purchaseInvoice[0]->account->account_name ?? $purchaseInvoice[0]->account->first_name . ' ' . $purchaseInvoice[0]->account->last_name)); ?></td>
                                    <td colspan="5" rowspan="2" class="text-right border-0"><?php echo e($company->name); ?></td>
                                </tr>
                            </tbody>
                        </table>

                        <div class="py-2 mt-3">
                            <h3 class="font-size-15 text-center font-weight-bold">Generated by
                                Ledgematic.com</h3>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>

    <script>
        function printPageArea(areaID) {
            var printContent = document.getElementById(areaID).innerHTML;
            var originalContent = document.body.innerHTML;
            document.body.innerHTML = printContent;
            window.print();
            document.body.innerHTML = originalContent;
        }
    </script>


    
    <script>
        document.addEventListener("DOMContentLoaded", function() {
            // Calculate the grand total and update the element
            const new_vat_amount = <?php echo e($purchaseInvoice[0]->new_vat_amount); ?>;
            const totalNetAmount = <?php echo e($purchaseInvoice[0]->total_net_amount); ?>;
            const discountAmount = <?php echo e($purchaseInvoice[0]->discount_amount); ?>;

            let totalExpenseAmount = 0;
            <?php $__currentLoopData = $purchaseInvoice; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $pr): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <?php $__currentLoopData = $pr->expenses; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $expense): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    totalExpenseAmount += <?php echo e($expense->expense_amount); ?>;
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

            const grandTotal = totalNetAmount + totalExpenseAmount + new_vat_amount - discountAmount;
            const roundedGrandTotal = grandTotal.toFixed(2);
            document.querySelector(".grand-total").textContent = roundedGrandTotal;
            document.getElementById("grand-totalWithC&f").textContent = roundedGrandTotal;

            // Convert total net amount to words and update the corresponding field
            var totalNetAmountWords = numberToWords(roundedGrandTotal);
            $('#total_net_amount_words').text(totalNetAmountWords);

            // Calculate and display total C&F expenses
            let totalCF = 0;
            <?php $__currentLoopData = $purchaseInvoice; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $pr): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <?php $__currentLoopData = $pr->expenses; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $expense): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    totalCF += <?php echo e($expense->expense_amount); ?>;
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

            // Display the total C&F expenses in the table cell with the ID "total-cf-th"
            document.getElementById("total-cf-th").textContent = "(" + Math.abs(totalCF) + ")";

            // Calculate and display total C&F value
            let cf = 0;
            <?php $__currentLoopData = $purchaseInvoice; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $pr): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                cf += <?php echo e($pr->c_f); ?>;
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

            // Display the total C&F value in the table cell with the ID "cf-total"
            document.getElementById("cf-total").textContent = "(" + Math.abs(cf) + ")";
        });
    </script>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.crusher', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH F:\zampp 2 7.4\htdocs\ledgematic\ledgematic\ledgematic\resources\views/crusher/trans_purchase_invoice/view.blade.php ENDPATH**/ ?>