<?php $__env->startSection('content'); ?>
    
    
    <!-- end row -->

    <style>
        .table-bordered {
            border: solid 3px #0000009c !important;
        }

        .table-light th {
            background-color: #e4e4e4 !important;
        }

        .table th {
            vertical-align: bottom;
            border-color: black !important;
        }
        .table-bordered td{
            border-color: #000000 !important;
        }
    </style>
    <div class="row">
        <div class="col-lg-12">
            <div class="card">
                <div class="card-body">
                    <div class="invoice-title">
                        <div class="row">
                            <div class="col-6">

                            </div>
                            <div class="col-6">
                                <div class="d-print-none">
                                    <div class="float-right">
                                        <a href="javascript:window.print()"
                                            class="btn btn-success waves-effect waves-light"> Print <i
                                                class="fa fa-print"></i></a>

                                    </div>
                                </div>
                            </div>
                        </div>


                    </div>
                    <hr>

                    <div class="py-2 mt-3">
                        <h3 class="font-size-16 text-center font-weight-bold">Warehouse Transfers</h3>
                    </div>
                    <div class="table-responsive">
                        <table class="table table-bordered">
                            <tbody>
                                <tr>
                                    <th colspan="3" class="border-0">Company Name: <?php echo e($company->name); ?>

                                    </th>
                                    <th >Date: <?php echo e(date('d/m/Y', strtotime($warehouseTransfer[0]->date))); ?></th>
                                </tr>
                                <tr>
                                    <th >Warehouse Transfers # : <?php echo e($warehouseTransfer[0]->invoice_no); ?></th>
                                </tr>
                                <tr>
                                    <th colspan="3" class="border-0">Branch Address: <?php echo e(session()->get('branch')->address); ?></th>
                                    <th rowspan="4" ></th>
                                </tr>
                                <tr class="table-light">
                                    <th>S No.</th>
                                    <th>Item Name</th>
                                    <th>Form Warehouse</th>
                                    <th>To Warehouse</th>
                                </tr>
                                <?php $__empty_1 = true; $__currentLoopData = $warehouseTransfer; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$wt): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                    <tr>
                                        <td><?php echo e($key + 1); ?></td>
                                        <td><?php echo e($wt->item->name); ?></td>
                                        <td><?php echo e($wt->warehouseFrom->name); ?></td>
                                        <td><?php echo e($wt->warehouseTo->name); ?></td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                <?php endif; ?>
                                <tr>
                                    <td colspan="4" class="border-0">Signature & Stamp</td>
                                </tr>
                                <tr>
                                    <td colspan="2" rowspan="3" class="border-0"></td>
                                    <td colspan="2" rowspan="2" class="text-right border-0"><?php echo e($company->name); ?></td>
                                </tr>
                            </tbody>
                        </table>

                        <div class="py-2 mt-3">
                            <h3 class="font-size-15 text-center font-weight-bold">Generated by
                                Ledgematic.com</h3>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>

    <script>
        function printPageArea(areaID) {
            var printContent = document.getElementById(areaID).innerHTML;
            var originalContent = document.body.innerHTML;
            document.body.innerHTML = printContent;
            window.print();
            document.body.innerHTML = originalContent;
        }
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.crusher', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH F:\zampp 2 7.4\htdocs\ledgematic\ledgematic\ledgematic\resources\views/crusher/trans_warehouse_transfer/view.blade.php ENDPATH**/ ?>