<?php $__env->startSection('content'); ?>


    
    <!-- end row -->

    <style>
        .table-bordered {
            border: solid 3px #0000009c !important;
        }

        .table-light th {
            background-color: #e4e4e4 !important;
        }

        .table th {
            vertical-align: bottom;
            border-color: black !important;
        }
        .table-bordered td{
            border-color: #000000 !important;
        }
    </style>
    <div class="row">
        <div class="col-lg-12">
            <div class="card">
                <div class="card-body">
                    <div class="invoice-title">
                        <div class="row">
                            <div class="col-6">
                            </div>
                            <div class="col-6">
                                <div class="d-print-none">
                                    <div class="float-right">
                                        <a href="javascript:window.print()"
                                            class="btn btn-success waves-effect waves-light"> Print <i
                                                class="fa fa-print"></i></a>
                                    </div>
                                </div>
                            </div>
                        </div>


                    </div>
                    <hr>
                    <div class="py-2 mt-3">
                        <h3 class="font-size-16 text-center font-weight-bold">Sales Invoice</h3>
                    </div>
                    <div class="table-responsive">
                        <table class="table table-bordered">
                            <tbody>
                                <tr>
                                    <th colspan="7" class="border-0">Company Name: <?php echo e($company->name); ?>

                                    </th>
                                    <th colspan="2">Sales Invoice # : <?php echo e($salesInvoice[0]->invoice_no); ?></th>
                                </tr>
                                <tr>
                                    <th colspan="2">Date: <?php echo e(date('d/m/Y', strtotime($salesInvoice[0]->date))); ?></th>
                                </tr>
                                <tr>
                                    <th colspan="7" class="border-0">Branch Address: <?php echo e(session()->get('branch')->address); ?></th>
                                    <th colspan="2">Mode/Term of Payment : <?php echo e($salesInvoice[0]->term_of_payment); ?></th>
                                </tr>
                                <tr>
                                    <th colspan="2">LPO Number(Client) : <?php echo e($salesInvoice[0]->lpo_no); ?></th>
                                </tr>
                                <tr>
                                    <th colspan="2">Invoice(Due Dates) : <?php echo e($salesInvoice[0]->lpo_days); ?></th>
                                </tr>
                                <tr>
                                    <th colspan="2">Delivery Note Number : <?php echo e($salesInvoice[0]->do_no ?? ''); ?></th>
                                </tr>
                                <tr>
                                    <th colspan="2">Quatation Number : <?php echo e($salesInvoice[0]->salesInvoice_no ?? ''); ?></th>
                                </tr>
                                <tr><th colspan="6" class="border-0"><strong>Client:</strong></th></tr>
                                <tr><th colspan="6" class="border-0">Account Name : <?php echo e($salesInvoice[0]->account->name_of_organisation ?? ($salesInvoice[0]->account->account_name ?? $salesInvoice[0]->account->first_name . ' ' . $salesInvoice[0]->account->last_name)); ?></th></tr>
                                <tr><th colspan="6" class="border-0">Email : <?php echo e($salesInvoice[0]->account->email ?? 'No Record Found'); ?></th></tr>
                                <tr><th colspan="6" class="border-0">Contact Person Name : <?php echo e($salesInvoice[0]->account->contact_person_name ?? 'No Record Found'); ?></th></tr>
                                <tr><th colspan="6" class="border-0">Contact Number : <?php echo e($salesInvoice[0]->account->mobile ?? 'No Record Found'); ?></th></tr>
                                <tr><th colspan="6" class="border-0">VAT Number : <?php echo e($salesInvoice[0]->account->vat_number ?? 'No Record Found'); ?></th></tr>
                                <tr class="table-light">
                                    <th>S No.</th>
                                    
                                    <th>Item Description</th>
                                    <th>Quantity</th>
                                    <th>Rate/Unit</th>
                                    <th>Gross Amount</th>
                                    <th>VAT %</th>
                                    <th>VAT Amount</th>
                                    <th>Net Amount</th>
                                </tr>
                                <?php
                                    $totalNetAmount = 0;
                                ?>
                                <?php $__empty_1 = true; $__currentLoopData = $salesInvoice; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$pr): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                <tr>
                                    <td><?php echo e($key + 1); ?></td>
                                    
                                    <td><?php echo e($pr->item_description); ?></td>
                                    <td><?php echo e($pr->quantity); ?></td>
                                    <td><?php echo e(number_format($pr->rate_unit, session('branch')->currency_decimal)); ?></td>
                                    <td><?php echo e(number_format($pr->gross_amount, session('branch')->currency_decimal)); ?></td>
                                    <td><?php echo e($pr->vat_percentage); ?></td>
                                    <td><?php echo e(number_format($pr->vat_amount, session('branch')->currency_decimal)); ?></td>
                                    <td><?php echo e(number_format($pr->net_amount, session('branch')->currency_decimal)); ?></td>
                                    <?php
                                        $totalNetAmount += $pr->net_amount ?? 0;
                                    ?>

                                </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                <?php endif; ?>
                                <tr>
                                    <td colspan="7" rowspan="5">Terms and Condition : <?php echo e($tnc->description ?? ''); ?></td>
                                    <td>Quantity Total</td>
                                    <td><?php echo e($salesInvoice[0]->total_quantity); ?></td>
                                </tr>
                                <tr>
                                    <td colspan="7" rowspan="5">Branch Details: <?php echo e(session()->get('branch')->payment_details); ?></td>
                                    <td>Gross Total</td>
                                    <td><?php echo e(number_format($salesInvoice[0]->total_gross_amount, session('branch')->currency_decimal)); ?></td>
                                </tr>
                                <tr>
                                    <td>Vat Total</td>
                                    <td><?php echo e(number_format($salesInvoice[0]->total_vat_amount, session('branch')->currency_decimal)); ?></td>
                                </tr>
                                <tr>
                                    <td>Net Total</td>
                                    <td><?php echo e(number_format($salesInvoice[0]->total_net_amount, session('branch')->currency_decimal)); ?></td>
                                </tr>
                                <?php $__empty_1 = true; $__currentLoopData = $salesInvoice[0]->expenses; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $expense): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                    <tr>
                                        <td><?php echo e($expense->account_name); ?></td>
                                        <td><?php echo e(number_format($expense->expense_amount, session('branch')->currency_decimal)); ?></td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>

                                <?php endif; ?>
                                <tr>
                                    <td colspan="2">Amount in Words: <?php echo e($salesInvoice[0]->AmountInWords); ?></td>
                                </tr>
                                <tr>
                                    <td colspan="9" class="border-0">Narration : <?php echo e($salesInvoice[0]->narration); ?></td>
                                </tr>
                                <tr>
                                    <td colspan="9" class="border-0">Signature & Stamp</td>
                                </tr>
                                <tr>
                                    <td colspan="4" rowspan="2" class="border-0"><?php echo e($salesInvoice[0]->account->name_of_organisation ?? ($salesInvoice[0]->account->account_name ?? $salesInvoice[0]->account->first_name . ' ' . $salesInvoice[0]->account->last_name)); ?></td>
                                    <td colspan="5" rowspan="2" class="text-right border-0"><?php echo e($company->name); ?></td>
                                </tr>
                            </tbody>
                        </table>

                        <div class="py-2 mt-3">
                            <h3 class="font-size-15 text-center font-weight-bold">Generated by
                                Ledgematic.com</h3>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>

    <script>
        function printPageArea(areaID) {
            var printContent = document.getElementById(areaID).innerHTML;
            var originalContent = document.body.innerHTML;
            document.body.innerHTML = printContent;
            window.print();
            document.body.innerHTML = originalContent;
        }
    </script>

    <script>
        document.addEventListener("DOMContentLoaded", function() {
            // Calculate the grand total and update the element
            const totalGrossAmount = <?php echo e($salesInvoice[0]->total_gross_amount); ?>;
            const totalVatAmount = <?php echo e($salesInvoice[0]->total_vat_amount); ?>;
            const totalNetAmount = <?php echo e($salesInvoice[0]->total_net_amount); ?>;
            const discountAmount = <?php echo e($salesInvoice[0]->discount); ?>;

            let totalExpenseAmount = 0;
            <?php $__currentLoopData = $salesInvoice; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $pr): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <?php $__currentLoopData = $pr->expenses; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $expense): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    totalExpenseAmount += <?php echo e($expense->expense_amount); ?>;
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

            const grandTotal = totalNetAmount + totalExpenseAmount - discountAmount;
            const roundedGrandTotal = grandTotal.toFixed(2);
            document.getElementById("grand-total").textContent = roundedGrandTotal;

            // Convert total net amount to words and update the corresponding field
            const tna = totalNetAmount.toFixed(2);

            var totalNetAmountWords = numberToWords(tna);
            // $('#total_net_amount_words').text(totalNetAmountWords);
            document.getElementById("#total_net_amount_words").textContent = totalNetAmountWords;

        });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.crusher', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH F:\zampp 2 7.4\htdocs\ledgematic\ledgematic\ledgematic\resources\views/crusher/trans_sale_invoice/view.blade.php ENDPATH**/ ?>