@extends('layouts.crusher')
@section('content')




    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-6">
                            <h6 class="card-title mb-4 titlcust">Statement of Accounts

                            </h6>
                        </div>

                    </div>
                    <!-- <div class="col-4"> -->
                    <div class="row">
                        <div class="col-md-6">
                            <h6 class="">{{ $matchedAccount->name_of_organisation }}</h6>
                            <h6 class="">Date: <span>{{ $from_date }}</span> To <span>{{ $to_date }}</span></h6>
                        </div>
                        <div class="col-md-6">
                            <div class="btn-group float-right" role="group" aria-label="Basic example">
                                <a href="" type="button" class="btn btn-outline-primary"><i
                                        class="fas fa-mail-bulk"></i> Email (PDF Formate)</a>
                                <a onclick="printPageArea('printableArea')" class="btn btn-outline-primary"> Print & PDF
                                    Formate</a>

                            </div>
                            <!-- <a href="client-add-expenses.html">
                                    <button class="btn btn-cust2 float-right" type="submit">
                                        <i class="fas fa-mail-bulk"></i>Email (PDF Formate)
                                        </button>
                                </a>
                                <a href=""><button type="button" class="btn btn-cust2 float-right waves-effect waves-light">
                                     <i class="fas fa-print">Print </i> & <i class="fas fa-file-pdf">PDF Formate</i>
                                </button></a> -->
                        </div>
                    </div>
                    <br>
                    <!-- <div class="col-4"> -->
                        <div class="row">

                            <div class="col-md-6">
                                <div id="printableArea" class="table-responsive mb-0" data-pattern="priority-columns">
                                    <table  class="table table-hover table-bordered nowrap"
                                        style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                        <thead>
                                            <tr>
                                                <td class="text-center text-dark bg-tdcust fw-bold font-size-16" colspan="3">VAT on Purchase</td>
                                            </tr>
                                            <tr>
                                                <th>Date</th>
                                                <th>Voucher Description</th>
                                                <th>VAT Amount</th>
                                            </tr>
                                        </thead>

                                        <tbody>
                                            @foreach ($PurchaesInvoice as $Pinvoice)
                                                <tr>
                                                    <td>{{$Pinvoice->date}}</td>
                                                    {{-- <td>Purchase# {{$Pinvoice->invoice_no}}</td> --}}
                                                    <td><strong><a href="{{ route('crusher.purchase_invoices.show', ['purchase_invoice' => $Pinvoice->id]) }}">Puchase#
                                                        {{ $Pinvoice->invoice_no }}</a></strong></td>
                                                    <td><strong>{{$Pinvoice->total_vat_amount}}</strong></td>
                                                </tr>
                                            @endforeach
                                        </tbody>
                                    </table>
                                </div>
                            </div>

                            <div class="col-md-6">
                                <div class="table-responsive mb-0" data-pattern="priority-columns">
                                    <table  class="table table-hover table-bordered nowrap"
                                        style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                        <thead>
                                            <tr>
                                                <td class="text-center bg-tdcust text-dark fw-bold font-size-16" colspan="3">VAT on Sales</td>
                                            </tr>
                                            <tr>
                                                <th>Date</th>
                                                <th>Voucher Description</th>
                                                <th>VAT Amount</th>
                                            </tr>
                                        </thead>

                                        <tbody>
                                            @foreach ($SaleInvoice as $Sinvoice)
                                                <tr>
                                                    <td>{{$Sinvoice->date}}</td>
                                                    {{-- <td>Sales# {{$Sinvoice->invoice_no}}</td> --}}
                                                    <td><strong><a href="{{ route('crusher.admin_sales_invoice.show', ['admin_sales_invoice' => $Sinvoice->id]) }}">Sales#
                                                        {{ $Sinvoice->invoice_no }}</a></strong></td>
                                                    <td><strong>{{$Sinvoice->total_vat_amount}}</strong></td>
                                                </tr>
                                            @endforeach
                                        </tbody>
                                    </table>
                                </div>
                            </div>

                        </div>


                </div>
            </div>
        </div>
    </div>
</div>
<!-- end row -->

<script>
    function printPageArea(areaID) {
        var printContent = document.getElementById(areaID).innerHTML;
        var originalContent = document.body.innerHTML;
        document.body.innerHTML = printContent;
        window.print();
        document.body.innerHTML = originalContent;
    }
</script>



@endsection
