@extends('layouts.crusher')
@section('content')


        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-6">
                                <h6 class="card-title mb-4 titlcust">View Supplier Master</h6>
                            </div>
                            <div class="col-md-6">
                                <a href="">
                                    <button class="btn btn-outline-primary float-right cust-btn1" type="submit">Print
                                        Document
                                    </button>
                                </a>
                            </div>
                        </div>
                        <!-- <div class="col-4"> -->

                        <div class="row">
                            <div class="col-md-3">
                                <label>Account Opening Balance :</label>
                                <span>{{ $supplier->opening_balance }}</span>
                            </div>

                            <div class="col-md-3">
                                <label>Debit/Credit :</label>
                                <span>{{ $supplier->type }}</span>
                            </div>

                            <div class="col-md-6">
                                <label>Date :</label>
                                <span>{{ \Carbon\Carbon::parse($supplier->date)->format('d/m/Y') }}</span>
                            </div>

                            <div class="col-md-12">
                                <label>Account Name :</label>
                                <span>{{ $supplier->name_of_organisation }}</span>
                            </div>

                            <div class="col-md-6">
                                <label>Commercial Registration # :</label>
                                <span>{{ $supplier->commerical_registration_number }}</span>
                            </div>

                            <div class="col-md-6">
                                <label>Contact Person Name :</label>
                                <span>{{ $supplier->contact_person_name }}</span>
                            </div>

                            <div class="col-md-6">
                                <label>Office Phone :</label>
                                <span>{{ $supplier->office_phone }}</span>
                            </div>

                            <div class="col-md-6">
                                <label>Mobile # :</label>
                                <span>{{ $supplier->mobile }}</span>
                            </div>

                            <div class="col-md-6">
                                <label>Whatsapp #:</label>
                                <span>{{ $supplier->whatsapp }}</span>
                            </div>

                            <div class="col-md-6">
                                <label>Email :</label>
                                <span>{{ $supplier->email }}</span>
                            </div>

                            <div class="col-md-6">
                                <label>Country :</label>
                                <span>{{ $supplier->country->name }}</span>
                            </div>

                            <div class="col-md-6">
                                <label>City :</label>
                                <span>{{ $supplier->city }}</span>
                            </div>

                            <div class="col-md-6">
                                <label>Address :</label>
                                <span>{{ $supplier->address }}</span>
                            </div>

                            <div class="col-md-6">
                                <label>Class Of Account :</label>
                                <span>{{ $supplier->classOfAccount->name }}</span>
                            </div>
                        </div>

                        <br>
                        <div class="row">
                            <div class="col-md-4">
                                <label>VAT Number :</label>
                                <span>{{ $supplier->vat_number }}</span>
                            </div>
                            <div class="col-md-4">
                                <label>TRN Number :</label>
                                <span>{{ $supplier->trn_number }}</span>
                            </div>
                            <div class="col-md-4">
                                <label>TIN Number :</label>
                                <span>{{ $supplier->tin_number }}</span>
                            </div>
                        </div>
                        <br>

                        <div class="row">
                            <div class="col-md-12">
                                <strong>
                                    <h5>Uploaded Documents</h5>
                                </strong>
                            </div>

                            @for ($i = 1; $i < 8; $i++)
                                <div class="col-md-4">
                                    <label>Name :</label>
                                    <span>{{ $supplier->{'doc_name_' . $i} }}</span>
                                </div>
                                <div class="col-md-4">
                                    @if (!empty($supplier->{'doc_file_' . $i}))
                                        <a href="{{ asset('/storage/app/public/' . $supplier->{'doc_file_' . $i}) }}">
                                            <button class="btn btn-outline-primary" type="submit">Print Document
                                            </button>
                                        </a>
                                    @else
                                        <span>No Document Found</span>
                                    @endif
                                </div>
                                <div class="col-md-4">
                                    <label>Date :</label>
                                    <span>{{ $supplier->{'doc_expiry_' . $i} }}</span>
                                </div>
                            @endfor


                        </div>

                        <br>

                        <div class="col-md-12">

                            <label>Description :</label>
                            <p>{{$supplier->description}}</p>
                        </div>


                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- end row -->
@endsection
