@extends('layouts.superadmin')
@section('content')
    <div class="page-content">

        <!-- start page title -->
        <div class="row">
            <div class="col-12">
                <div class="page-title-box d-flex align-items-center justify-content-between">
                    <h4 class="page-title mb-0 font-size-18">Dashboard</h4>

                    <div class="page-title-right">
                        <ol class="breadcrumb m-0">
                            <h4 class="page-title mb-0 font-size-18">Powered By Ledgematic</h4>
                        </ol>
                    </div>

                </div>
            </div>
        </div>
        <!-- end page title -->

        <!-- end row -->

        <div class="row">
            <div class="col-xl-12">
                <div class="card">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-6">
                                <h6 class="card-title mb-4 titlcust">Check Expiry</h6>
                            </div>

                        </div>
                    </div>
                    <div class="card-body">
                        <div class="table-responsive mb-0" data-pattern="priority-columns">
                            <table id="datatable" class="table table-bordered nowrap table-striped"
                                style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                <thead>
                                    <tr>
                                        <th>Client Name</th>
                                        <th>Company Name</th>
                                        <th>Branch Name</th>
                                        <th>Software</th>
                                        <th>Amount</th>
                                        <th>Issue Date</th>
                                        <th>Expiry Date</th>
                                        {{-- <th>Action </th> --}}
                                    </tr>
                                </thead>

                                <tbody>
                                    @foreach ($branches as $branch)
                                    {{-- @dd($branch) --}}
                                        <tr>
                                            <td>{{ $branch->company->client->name }}</td>
                                            <td> {{ $branch->company->name }}</td>
                                            <td> {{ $branch->name }}</td>
                                            <td> {{ $branch->software }}</td>
                                            <td> {{ $branch->currency }} {{ $branch->price }}</td>
                                            <td> {{ $branch->issue_date }}</td>
                                            <td> {{ $branch->expiry_date }}</td>
                                            {{-- <td>
                                                <a href="{{url("check_expiry/view/$CheckExpiry->id")}}"><i
                                                class="fas fa-eye custi"></i></a>
                                            </td> --}}
                                        </tr>
                                    @endforeach

                                </tbody>
                            </table>
                        </div>
                    </div>
                    <!-- end col -->



                </div>
                <!-- /.modal-content -->
            </div>
            <!-- /.modal-dialog -->
        </div>
        <!-- /.modal -->
    </div>

    <!-- End Page-content -->
@endsection
